#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExodusIIReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExodusIIReader.h"

//@@Signature
//sfunction @vtkExodusIIReader:vtkExodusIIReader vtkExodusIIReaderConstructorFunction
//input a
//output p
//@@Parents vtkExodusIIReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkExodusIIReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExodusIIReader::New(),"vtkExodusIIReader",eval);
  } else if (arg[0].className() == "vtkExodusIIReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExodusIIReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExodusIIReader");
    vtkExodusIIReader*q = reinterpret_cast<vtkExodusIIReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExodusIIReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExodusIIReader:GetClassName vtkExodusIIReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:IsA vtkExodusIIReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:NewInstance vtkExodusIIReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusIIReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkExodusIIReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusIIReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SafeDownCast vtkExodusIIReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusIIReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExodusIIReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusIIReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:CanReadFile vtkExodusIIReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMTime vtkExodusIIReaderGetMTimeFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMetadataMTime vtkExodusIIReaderGetMetadataMTimeFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetMetadataMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMetadataMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMetadataMTime for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMetadataMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFileName vtkExodusIIReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFileName vtkExodusIIReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetXMLFileName vtkExodusIIReaderSetXMLFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetXMLFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXMLFileName (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMLFileName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXMLFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetXMLFileName vtkExodusIIReaderGetXMLFileNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetXMLFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXMLFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMLFileName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXMLFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetTimeStep vtkExodusIIReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTimeStep vtkExodusIIReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetModeShape vtkExodusIIReaderSetModeShapeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetModeShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModeShape (int val);this SetTimeStep val  */
  if (arg.size() < 2) 
    throw Exception("Function SetModeShape for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetModeShape(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTimeStepRange vtkExodusIIReaderGetTimeStepRangeFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTimeStepRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepRange for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTimeStepRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetTimeStepRange__1 vtkExodusIIReaderSetTimeStepRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetTimeStepRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStepRange__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTimeStepRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetTimeStepRange__2 vtkExodusIIReaderSetTimeStepRange__2Function
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetTimeStepRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepRange__2 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTimeStepRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGenerateObjectIdCellArray vtkExodusIIReaderSetGenerateObjectIdCellArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetGenerateObjectIdCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGenerateObjectIdCellArray (int g); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateObjectIdCellArray for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateObjectIdCellArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGenerateObjectIdCellArray vtkExodusIIReaderGetGenerateObjectIdCellArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGenerateObjectIdCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateObjectIdCellArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateObjectIdCellArray for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateObjectIdCellArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateObjectIdCellArrayOn vtkExodusIIReaderGenerateObjectIdCellArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateObjectIdCellArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateObjectIdCellArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateObjectIdCellArrayOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateObjectIdCellArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateObjectIdCellArrayOff vtkExodusIIReaderGenerateObjectIdCellArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateObjectIdCellArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateObjectIdCellArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateObjectIdCellArrayOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateObjectIdCellArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectIdArrayName vtkExodusIIReaderGetObjectIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetObjectIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetObjectIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetObjectIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetObjectIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGenerateGlobalElementIdArray vtkExodusIIReaderSetGenerateGlobalElementIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetGenerateGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGenerateGlobalElementIdArray (int g); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateGlobalElementIdArray for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateGlobalElementIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGenerateGlobalElementIdArray vtkExodusIIReaderGetGenerateGlobalElementIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGenerateGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateGlobalElementIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateGlobalElementIdArray for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateGlobalElementIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateGlobalElementIdArrayOn vtkExodusIIReaderGenerateGlobalElementIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateGlobalElementIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalElementIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalElementIdArrayOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalElementIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateGlobalElementIdArrayOff vtkExodusIIReaderGenerateGlobalElementIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateGlobalElementIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalElementIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalElementIdArrayOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalElementIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGenerateGlobalNodeIdArray vtkExodusIIReaderSetGenerateGlobalNodeIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetGenerateGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGenerateGlobalNodeIdArray (int g); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateGlobalNodeIdArray for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateGlobalNodeIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGenerateGlobalNodeIdArray vtkExodusIIReaderGetGenerateGlobalNodeIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGenerateGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateGlobalNodeIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateGlobalNodeIdArray for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateGlobalNodeIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateGlobalNodeIdArrayOn vtkExodusIIReaderGenerateGlobalNodeIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateGlobalNodeIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalNodeIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalNodeIdArrayOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalNodeIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateGlobalNodeIdArrayOff vtkExodusIIReaderGenerateGlobalNodeIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateGlobalNodeIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalNodeIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalNodeIdArrayOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalNodeIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGenerateImplicitElementIdArray vtkExodusIIReaderSetGenerateImplicitElementIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetGenerateImplicitElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGenerateImplicitElementIdArray (int g); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateImplicitElementIdArray for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateImplicitElementIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGenerateImplicitElementIdArray vtkExodusIIReaderGetGenerateImplicitElementIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGenerateImplicitElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateImplicitElementIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateImplicitElementIdArray for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateImplicitElementIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateImplicitElementIdArrayOn vtkExodusIIReaderGenerateImplicitElementIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateImplicitElementIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateImplicitElementIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateImplicitElementIdArrayOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateImplicitElementIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateImplicitElementIdArrayOff vtkExodusIIReaderGenerateImplicitElementIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateImplicitElementIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateImplicitElementIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateImplicitElementIdArrayOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateImplicitElementIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGenerateImplicitNodeIdArray vtkExodusIIReaderSetGenerateImplicitNodeIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetGenerateImplicitNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGenerateImplicitNodeIdArray (int g); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateImplicitNodeIdArray for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateImplicitNodeIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGenerateImplicitNodeIdArray vtkExodusIIReaderGetGenerateImplicitNodeIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGenerateImplicitNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateImplicitNodeIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateImplicitNodeIdArray for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateImplicitNodeIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateImplicitNodeIdArrayOn vtkExodusIIReaderGenerateImplicitNodeIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateImplicitNodeIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateImplicitNodeIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateImplicitNodeIdArrayOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateImplicitNodeIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateImplicitNodeIdArrayOff vtkExodusIIReaderGenerateImplicitNodeIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateImplicitNodeIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateImplicitNodeIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateImplicitNodeIdArrayOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateImplicitNodeIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGenerateFileIdArray vtkExodusIIReaderSetGenerateFileIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetGenerateFileIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGenerateFileIdArray (int f); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateFileIdArray for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateFileIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGenerateFileIdArray vtkExodusIIReaderGetGenerateFileIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGenerateFileIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateFileIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateFileIdArray for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateFileIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateFileIdArrayOn vtkExodusIIReaderGenerateFileIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateFileIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFileIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFileIdArrayOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFileIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GenerateFileIdArrayOff vtkExodusIIReaderGenerateFileIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderGenerateFileIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFileIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFileIdArrayOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFileIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFileId vtkExodusIIReaderSetFileIdFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetFileIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileId (int f); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileId for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFileId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFileId vtkExodusIIReaderGetFileIdFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetFileIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileId for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalElementIdArrayName vtkExodusIIReaderGetGlobalElementIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGlobalElementIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalElementIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalElementIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalElementIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPedigreeElementIdArrayName vtkExodusIIReaderGetPedigreeElementIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetPedigreeElementIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetPedigreeElementIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeElementIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeElementIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalElementID__1 vtkExodusIIReaderGetGlobalElementID__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetGlobalElementID__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalElementID (vtkDataSet *data, int localID); */
  if (arg.size() < 3) 
    throw Exception("Function GetGlobalElementID__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetGlobalElementID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalElementID__2 vtkExodusIIReaderGetGlobalElementID__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetGlobalElementID__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalElementID (vtkDataSet *data, int localID, int searchType); */
  if (arg.size() < 4) 
    throw Exception("Function GetGlobalElementID__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetGlobalElementID(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetImplicitElementIdArrayName vtkExodusIIReaderGetImplicitElementIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetImplicitElementIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetImplicitElementIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitElementIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetImplicitElementIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalFaceIdArrayName vtkExodusIIReaderGetGlobalFaceIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGlobalFaceIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalFaceIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalFaceIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalFaceIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPedigreeFaceIdArrayName vtkExodusIIReaderGetPedigreeFaceIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetPedigreeFaceIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetPedigreeFaceIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeFaceIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeFaceIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalFaceID__1 vtkExodusIIReaderGetGlobalFaceID__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetGlobalFaceID__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalFaceID (vtkDataSet *data, int localID); */
  if (arg.size() < 3) 
    throw Exception("Function GetGlobalFaceID__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetGlobalFaceID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalFaceID__2 vtkExodusIIReaderGetGlobalFaceID__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetGlobalFaceID__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalFaceID (vtkDataSet *data, int localID, int searchType); */
  if (arg.size() < 4) 
    throw Exception("Function GetGlobalFaceID__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetGlobalFaceID(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetImplicitFaceIdArrayName vtkExodusIIReaderGetImplicitFaceIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetImplicitFaceIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetImplicitFaceIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitFaceIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetImplicitFaceIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalEdgeIdArrayName vtkExodusIIReaderGetGlobalEdgeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGlobalEdgeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalEdgeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalEdgeIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalEdgeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPedigreeEdgeIdArrayName vtkExodusIIReaderGetPedigreeEdgeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetPedigreeEdgeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetPedigreeEdgeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeEdgeIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeEdgeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalEdgeID__1 vtkExodusIIReaderGetGlobalEdgeID__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetGlobalEdgeID__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalEdgeID (vtkDataSet *data, int localID); */
  if (arg.size() < 3) 
    throw Exception("Function GetGlobalEdgeID__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetGlobalEdgeID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalEdgeID__2 vtkExodusIIReaderGetGlobalEdgeID__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetGlobalEdgeID__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalEdgeID (vtkDataSet *data, int localID, int searchType); */
  if (arg.size() < 4) 
    throw Exception("Function GetGlobalEdgeID__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetGlobalEdgeID(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetImplicitEdgeIdArrayName vtkExodusIIReaderGetImplicitEdgeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetImplicitEdgeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetImplicitEdgeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitEdgeIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetImplicitEdgeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalNodeIdArrayName vtkExodusIIReaderGetGlobalNodeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetGlobalNodeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalNodeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalNodeIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalNodeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPedigreeNodeIdArrayName vtkExodusIIReaderGetPedigreeNodeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetPedigreeNodeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetPedigreeNodeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeNodeIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeNodeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalNodeID__1 vtkExodusIIReaderGetGlobalNodeID__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetGlobalNodeID__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalNodeID (vtkDataSet *data, int localID); */
  if (arg.size() < 3) 
    throw Exception("Function GetGlobalNodeID__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetGlobalNodeID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalNodeID__2 vtkExodusIIReaderGetGlobalNodeID__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetGlobalNodeID__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalNodeID (vtkDataSet *data, int localID, int searchType); */
  if (arg.size() < 4) 
    throw Exception("Function GetGlobalNodeID__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetGlobalNodeID(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetImplicitNodeIdArrayName vtkExodusIIReaderGetImplicitNodeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetImplicitNodeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetImplicitNodeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitNodeIdArrayName for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetImplicitNodeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetApplyDisplacements vtkExodusIIReaderSetApplyDisplacementsFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetApplyDisplacementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetApplyDisplacements (int d); */
  if (arg.size() < 2) 
    throw Exception("Function SetApplyDisplacements for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetApplyDisplacements(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetApplyDisplacements vtkExodusIIReaderGetApplyDisplacementsFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetApplyDisplacementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetApplyDisplacements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetApplyDisplacements for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetApplyDisplacements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:ApplyDisplacementsOn vtkExodusIIReaderApplyDisplacementsOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderApplyDisplacementsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ApplyDisplacementsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ApplyDisplacementsOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->ApplyDisplacementsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:ApplyDisplacementsOff vtkExodusIIReaderApplyDisplacementsOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderApplyDisplacementsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ApplyDisplacementsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ApplyDisplacementsOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->ApplyDisplacementsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetDisplacementMagnitude vtkExodusIIReaderSetDisplacementMagnitudeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetDisplacementMagnitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplacementMagnitude (float s); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementMagnitude for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDisplacementMagnitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetDisplacementMagnitude vtkExodusIIReaderGetDisplacementMagnitudeFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetDisplacementMagnitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetDisplacementMagnitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementMagnitude for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetDisplacementMagnitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetHasModeShapes vtkExodusIIReaderSetHasModeShapesFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetHasModeShapesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetHasModeShapes (int ms); */
  if (arg.size() < 2) 
    throw Exception("Function SetHasModeShapes for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHasModeShapes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetHasModeShapes vtkExodusIIReaderGetHasModeShapesFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetHasModeShapesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHasModeShapes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHasModeShapes for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHasModeShapes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:HasModeShapesOn vtkExodusIIReaderHasModeShapesOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderHasModeShapesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasModeShapesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HasModeShapesOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->HasModeShapesOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:HasModeShapesOff vtkExodusIIReaderHasModeShapesOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderHasModeShapesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasModeShapesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HasModeShapesOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->HasModeShapesOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetModeShapeTime vtkExodusIIReaderSetModeShapeTimeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetModeShapeTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetModeShapeTime (double phase); */
  if (arg.size() < 2) 
    throw Exception("Function SetModeShapeTime for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetModeShapeTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetModeShapeTime vtkExodusIIReaderGetModeShapeTimeFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetModeShapeTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetModeShapeTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModeShapeTime for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetModeShapeTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetAnimateModeShapes vtkExodusIIReaderSetAnimateModeShapesFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetAnimateModeShapesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAnimateModeShapes (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnimateModeShapes for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAnimateModeShapes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetAnimateModeShapes vtkExodusIIReaderGetAnimateModeShapesFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetAnimateModeShapesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnimateModeShapes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnimateModeShapes for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnimateModeShapes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:AnimateModeShapesOn vtkExodusIIReaderAnimateModeShapesOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderAnimateModeShapesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AnimateModeShapesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AnimateModeShapesOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->AnimateModeShapesOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:AnimateModeShapesOff vtkExodusIIReaderAnimateModeShapesOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderAnimateModeShapesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AnimateModeShapesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AnimateModeShapesOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->AnimateModeShapesOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetEdgeFieldDecorations vtkExodusIIReaderSetEdgeFieldDecorationsFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetEdgeFieldDecorationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeFieldDecorations (int d); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeFieldDecorations for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdgeFieldDecorations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeFieldDecorations vtkExodusIIReaderGetEdgeFieldDecorationsFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetEdgeFieldDecorationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeFieldDecorations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeFieldDecorations for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdgeFieldDecorations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:EdgeFieldDecorationsNone vtkExodusIIReaderEdgeFieldDecorationsNoneFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderEdgeFieldDecorationsNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeFieldDecorationsNone ();this SetEdgeFieldDecorations NONE  */
  if (arg.size() < 1) 
    throw Exception("Function EdgeFieldDecorationsNone for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->EdgeFieldDecorationsNone();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:EdgeFieldDecorationsGlyphs vtkExodusIIReaderEdgeFieldDecorationsGlyphsFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderEdgeFieldDecorationsGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeFieldDecorationsGlyphs ();this SetEdgeFieldDecorations GLYPHS  */
  if (arg.size() < 1) 
    throw Exception("Function EdgeFieldDecorationsGlyphs for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->EdgeFieldDecorationsGlyphs();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:EdgeFieldDecorationsCornerAveraged vtkExodusIIReaderEdgeFieldDecorationsCornerAveragedFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderEdgeFieldDecorationsCornerAveragedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeFieldDecorationsCornerAveraged ();this SetEdgeFieldDecorations CORNER_AVERAGED  */
  if (arg.size() < 1) 
    throw Exception("Function EdgeFieldDecorationsCornerAveraged for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->EdgeFieldDecorationsCornerAveraged();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFaceFieldDecorations vtkExodusIIReaderSetFaceFieldDecorationsFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetFaceFieldDecorationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFaceFieldDecorations (int d); */
  if (arg.size() < 2) 
    throw Exception("Function SetFaceFieldDecorations for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFaceFieldDecorations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceFieldDecorations vtkExodusIIReaderGetFaceFieldDecorationsFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetFaceFieldDecorationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceFieldDecorations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaceFieldDecorations for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFaceFieldDecorations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:FaceFieldDecorationsNone vtkExodusIIReaderFaceFieldDecorationsNoneFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderFaceFieldDecorationsNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FaceFieldDecorationsNone ();this SetFaceFieldDecorations NONE  */
  if (arg.size() < 1) 
    throw Exception("Function FaceFieldDecorationsNone for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->FaceFieldDecorationsNone();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:FaceFieldDecorationsGlyphs vtkExodusIIReaderFaceFieldDecorationsGlyphsFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderFaceFieldDecorationsGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FaceFieldDecorationsGlyphs ();this SetFaceFieldDecorations GLYPHS  */
  if (arg.size() < 1) 
    throw Exception("Function FaceFieldDecorationsGlyphs for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->FaceFieldDecorationsGlyphs();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:FaceFieldDecorationsCornerAveraged vtkExodusIIReaderFaceFieldDecorationsCornerAveragedFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderFaceFieldDecorationsCornerAveragedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FaceFieldDecorationsCornerAveraged ();this SetFaceFieldDecorations CORNER_AVERAGED  */
  if (arg.size() < 1) 
    throw Exception("Function FaceFieldDecorationsCornerAveraged for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->FaceFieldDecorationsCornerAveraged();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTitle vtkExodusIIReaderGetTitleFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetDimensionality vtkExodusIIReaderGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfTimeSteps vtkExodusIIReaderGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfNodesInFile vtkExodusIIReaderGetNumberOfNodesInFileFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfNodesInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodesInFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodesInFile for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodesInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEdgesInFile vtkExodusIIReaderGetNumberOfEdgesInFileFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEdgesInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgesInFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgesInFile for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgesInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfFacesInFile vtkExodusIIReaderGetNumberOfFacesInFileFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfFacesInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFacesInFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFacesInFile for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFacesInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfElementsInFile vtkExodusIIReaderGetNumberOfElementsInFileFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfElementsInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementsInFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementsInFile for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementsInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectTypeFromName vtkExodusIIReaderGetObjectTypeFromNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetObjectTypeFromNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectTypeFromName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetObjectTypeFromName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetObjectTypeFromName(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectTypeName vtkExodusIIReaderGetObjectTypeNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetObjectTypeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetObjectTypeName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetObjectTypeName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetObjectTypeName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfNodes vtkExodusIIReaderGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfObjects vtkExodusIIReaderGetNumberOfObjectsFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfObjectsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfObjects (int objectType); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfObjects for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfObjects(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEntriesInObject vtkExodusIIReaderGetNumberOfEntriesInObjectFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEntriesInObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEntriesInObject (int objectType, int objectIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfEntriesInObject for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfEntriesInObject(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectId vtkExodusIIReaderGetObjectIdFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectId (int objectType, int objectIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectId for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetObjectId(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectName vtkExodusIIReaderGetObjectNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetObjectName (int objectType, int objectIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectName for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetObjectName(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectIndex__1 vtkExodusIIReaderGetObjectIndex__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectIndex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectIndex (int objectType, const char *objectName); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectIndex__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetObjectIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectIndex__2 vtkExodusIIReaderGetObjectIndex__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectIndex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectIndex (int objectType, int id); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectIndex__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetObjectIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectStatus__1 vtkExodusIIReaderGetObjectStatus__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectStatus (int objectType, int objectIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectStatus__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetObjectStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectStatus__2 vtkExodusIIReaderGetObjectStatus__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectStatus (int objectType, const char *objectName);return this GetObjectStatus objectType this GetObjectIndex objectType objectName  */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectStatus__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetObjectStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectStatus__1 vtkExodusIIReaderSetObjectStatus__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExodusIIReaderSetObjectStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObjectStatus (int objectType, int objectIndex, int status); */
  if (arg.size() < 4) 
    throw Exception("Function SetObjectStatus__1 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetObjectStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectStatus__2 vtkExodusIIReaderSetObjectStatus__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExodusIIReaderSetObjectStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObjectStatus (int objectType, const char *objectName, int status); */
  if (arg.size() < 4) 
    throw Exception("Function SetObjectStatus__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetObjectStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfObjectArrays vtkExodusIIReaderGetNumberOfObjectArraysFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfObjectArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfObjectArrays (int objectType); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfObjectArrays for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfObjectArrays(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectArrayName vtkExodusIIReaderGetObjectArrayNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetObjectArrayName (int objectType, int arrayIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectArrayName for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetObjectArrayName(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectArrayIndex vtkExodusIIReaderGetObjectArrayIndexFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectArrayIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectArrayIndex (int objectType, const char *arrayName); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectArrayIndex for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetObjectArrayIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfObjectArrayComponents vtkExodusIIReaderGetNumberOfObjectArrayComponentsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfObjectArrayComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfObjectArrayComponents (int objectType, int arrayIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfObjectArrayComponents for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfObjectArrayComponents(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectArrayStatus__1 vtkExodusIIReaderGetObjectArrayStatus__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectArrayStatus (int objectType, int arrayIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectArrayStatus__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetObjectArrayStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectArrayStatus__2 vtkExodusIIReaderGetObjectArrayStatus__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetObjectArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectArrayStatus (int objectType, const char *arrayName);return this GetObjectArrayStatus objectType this GetObjectArrayIndex objectType arrayName  */
  if (arg.size() < 3) 
    throw Exception("Function GetObjectArrayStatus__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetObjectArrayStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectArrayStatus__1 vtkExodusIIReaderSetObjectArrayStatus__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExodusIIReaderSetObjectArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObjectArrayStatus (int objectType, int arrayIndex, int status); */
  if (arg.size() < 4) 
    throw Exception("Function SetObjectArrayStatus__1 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetObjectArrayStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectArrayStatus__2 vtkExodusIIReaderSetObjectArrayStatus__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExodusIIReaderSetObjectArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObjectArrayStatus (int objectType, const char *arrayName, int status); */
  if (arg.size() < 4) 
    throw Exception("Function SetObjectArrayStatus__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetObjectArrayStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfObjectAttributes vtkExodusIIReaderGetNumberOfObjectAttributesFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfObjectAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfObjectAttributes (int objectType, int objectIndex); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfObjectAttributes for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfObjectAttributes(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectAttributeName vtkExodusIIReaderGetObjectAttributeNameFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetObjectAttributeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetObjectAttributeName (int objectType, int objectIndex, int attribIndex); */
  if (arg.size() < 4) 
    throw Exception("Function GetObjectAttributeName for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetObjectAttributeName(temp0,temp1,temp2);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectAttributeIndex vtkExodusIIReaderGetObjectAttributeIndexFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetObjectAttributeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectAttributeIndex (int objectType, int objectIndex, const char *attribName); */
  if (arg.size() < 4) 
    throw Exception("Function GetObjectAttributeIndex for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->GetObjectAttributeIndex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectAttributeStatus__1 vtkExodusIIReaderGetObjectAttributeStatus__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetObjectAttributeStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectAttributeStatus (int objectType, int objectIndex, int attribIndex); */
  if (arg.size() < 4) 
    throw Exception("Function GetObjectAttributeStatus__1 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetObjectAttributeStatus(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectAttributeStatus__2 vtkExodusIIReaderGetObjectAttributeStatus__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusIIReaderGetObjectAttributeStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetObjectAttributeStatus (int objectType, int objectIndex, const char *attribName);return this GetObjectAttributeStatus objectType objectIndex this GetObjectAttributeIndex objectType objectIndex attribName  */
  if (arg.size() < 4) 
    throw Exception("Function GetObjectAttributeStatus__2 for class vtkExodusIIReader requires 4 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->GetObjectAttributeStatus(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectAttributeStatus__1 vtkExodusIIReaderSetObjectAttributeStatus__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkExodusIIReaderSetObjectAttributeStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObjectAttributeStatus (int objectType, int objectIndex, int attribIndex, int status); */
  if (arg.size() < 5) 
    throw Exception("Function SetObjectAttributeStatus__1 for class vtkExodusIIReader requires 5 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectAttributeStatus__2 vtkExodusIIReaderSetObjectAttributeStatus__2Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkExodusIIReaderSetObjectAttributeStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetObjectAttributeStatus (int objectType, int objectIndex, const char *attribName, int status);this SetObjectAttributeStatus objectType objectIndex this GetObjectAttributeIndex objectType objectIndex attribName status  */
  if (arg.size() < 5) 
    throw Exception("Function SetObjectAttributeStatus__2 for class vtkExodusIIReader requires 5 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTotalNumberOfNodes vtkExodusIIReaderGetTotalNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTotalNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetTotalNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfNodes for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTotalNumberOfEdges vtkExodusIIReaderGetTotalNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTotalNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetTotalNumberOfEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfEdges for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTotalNumberOfFaces vtkExodusIIReaderGetTotalNumberOfFacesFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTotalNumberOfFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetTotalNumberOfFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfFaces for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTotalNumberOfElements vtkExodusIIReaderGetTotalNumberOfElementsFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetTotalNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetTotalNumberOfElements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfElements for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfElements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfPartArrays vtkExodusIIReaderGetNumberOfPartArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfPartArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPartArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPartArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPartArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPartArrayName vtkExodusIIReaderGetPartArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPartArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPartArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPartArrayID vtkExodusIIReaderGetPartArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPartArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayID for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPartArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPartBlockInfo vtkExodusIIReaderGetPartBlockInfoFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPartBlockInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPartBlockInfo (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartBlockInfo for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartBlockInfo(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetPartArrayStatus__1 vtkExodusIIReaderSetPartArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetPartArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetPartArrayStatus__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPartArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetPartArrayStatus__2 vtkExodusIIReaderSetPartArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetPartArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetPartArrayStatus__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPartArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPartArrayStatus__1 vtkExodusIIReaderGetPartArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPartArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayStatus__1 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPartArrayStatus__2 vtkExodusIIReaderGetPartArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPartArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayStatus__2 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPartArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfMaterialArrays vtkExodusIIReaderGetNumberOfMaterialArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfMaterialArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfMaterialArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMaterialArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMaterialArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMaterialArrayName vtkExodusIIReaderGetMaterialArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetMaterialArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetMaterialArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaterialArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMaterialArrayID vtkExodusIIReaderGetMaterialArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetMaterialArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterialArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayID for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetMaterialArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetMaterialArrayStatus__1 vtkExodusIIReaderSetMaterialArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetMaterialArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterialArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialArrayStatus__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMaterialArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetMaterialArrayStatus__2 vtkExodusIIReaderSetMaterialArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetMaterialArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterialArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialArrayStatus__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMaterialArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMaterialArrayStatus__1 vtkExodusIIReaderGetMaterialArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetMaterialArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterialArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayStatus__1 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaterialArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMaterialArrayStatus__2 vtkExodusIIReaderGetMaterialArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetMaterialArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterialArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayStatus__2 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetMaterialArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfAssemblyArrays vtkExodusIIReaderGetNumberOfAssemblyArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfAssemblyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAssemblyArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAssemblyArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAssemblyArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetAssemblyArrayName vtkExodusIIReaderGetAssemblyArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetAssemblyArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAssemblyArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAssemblyArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetAssemblyArrayID vtkExodusIIReaderGetAssemblyArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetAssemblyArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssemblyArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayID for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetAssemblyArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetAssemblyArrayStatus__1 vtkExodusIIReaderSetAssemblyArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetAssemblyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssemblyArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetAssemblyArrayStatus__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetAssemblyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetAssemblyArrayStatus__2 vtkExodusIIReaderSetAssemblyArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetAssemblyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssemblyArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetAssemblyArrayStatus__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetAssemblyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetAssemblyArrayStatus__1 vtkExodusIIReaderGetAssemblyArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetAssemblyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssemblyArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayStatus__1 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAssemblyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetAssemblyArrayStatus__2 vtkExodusIIReaderGetAssemblyArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetAssemblyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssemblyArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayStatus__2 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetAssemblyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfHierarchyArrays vtkExodusIIReaderGetNumberOfHierarchyArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfHierarchyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfHierarchyArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfHierarchyArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfHierarchyArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetHierarchyArrayName vtkExodusIIReaderGetHierarchyArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetHierarchyArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetHierarchyArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetHierarchyArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHierarchyArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetHierarchyArrayStatus__1 vtkExodusIIReaderSetHierarchyArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetHierarchyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHierarchyArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetHierarchyArrayStatus__1 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetHierarchyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetHierarchyArrayStatus__2 vtkExodusIIReaderSetHierarchyArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetHierarchyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHierarchyArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetHierarchyArrayStatus__2 for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetHierarchyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetHierarchyArrayStatus__1 vtkExodusIIReaderGetHierarchyArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetHierarchyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHierarchyArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetHierarchyArrayStatus__1 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHierarchyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetHierarchyArrayStatus__2 vtkExodusIIReaderGetHierarchyArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetHierarchyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHierarchyArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetHierarchyArrayStatus__2 for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetHierarchyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetDisplayType vtkExodusIIReaderGetDisplayTypeFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetDisplayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayType for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetDisplayType vtkExodusIIReaderSetDisplayTypeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetDisplayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayType for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisplayType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:ExodusModelMetadataOn vtkExodusIIReaderExodusModelMetadataOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderExodusModelMetadataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExodusModelMetadataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExodusModelMetadataOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->ExodusModelMetadataOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:ExodusModelMetadataOff vtkExodusIIReaderExodusModelMetadataOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderExodusModelMetadataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExodusModelMetadataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExodusModelMetadataOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->ExodusModelMetadataOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetExodusModelMetadata vtkExodusIIReaderSetExodusModelMetadataFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetExodusModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExodusModelMetadata (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExodusModelMetadata for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExodusModelMetadata(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetExodusModelMetadata vtkExodusIIReaderGetExodusModelMetadataFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetExodusModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExodusModelMetadata (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExodusModelMetadata for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExodusModelMetadata();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetExodusModel vtkExodusIIReaderGetExodusModelFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetExodusModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusModel *GetExodusModel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExodusModel for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkExodusModel  *temp20;
  temp20 = (vtk_pointer)->GetExodusModel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusModel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetPackExodusModelOntoOutput vtkExodusIIReaderSetPackExodusModelOntoOutputFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetPackExodusModelOntoOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPackExodusModelOntoOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPackExodusModelOntoOutput for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPackExodusModelOntoOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPackExodusModelOntoOutput vtkExodusIIReaderGetPackExodusModelOntoOutputFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetPackExodusModelOntoOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPackExodusModelOntoOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPackExodusModelOntoOutput for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPackExodusModelOntoOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:PackExodusModelOntoOutputOn vtkExodusIIReaderPackExodusModelOntoOutputOnFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderPackExodusModelOntoOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PackExodusModelOntoOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PackExodusModelOntoOutputOn for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->PackExodusModelOntoOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:PackExodusModelOntoOutputOff vtkExodusIIReaderPackExodusModelOntoOutputOffFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderPackExodusModelOntoOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PackExodusModelOntoOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PackExodusModelOntoOutputOff for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->PackExodusModelOntoOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:IsValidVariable vtkExodusIIReaderIsValidVariableFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderIsValidVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsValidVariable (const char *type, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function IsValidVariable for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->IsValidVariable(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetVariableID vtkExodusIIReaderGetVariableIDFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusIIReaderGetVariableIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVariableID (const char *type, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function GetVariableID for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetVariableID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetAllArrayStatus vtkExodusIIReaderSetAllArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetAllArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllArrayStatus (int otype, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetAllArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetAllArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetTimeSeriesData vtkExodusIIReaderGetTimeSeriesDataFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkExodusIIReaderGetTimeSeriesDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeSeriesData (int ID, const char *vName, const char *vType, vtkFloatArray *result); */
  if (arg.size() < 5) 
    throw Exception("Function GetTimeSeriesData for class vtkExodusIIReader requires 5 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  char    *temp2;
  vtkFloatArray  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp3 = GetVTKPointer<vtkFloatArray>(arg[4]);
  temp20 = (vtk_pointer)->GetTimeSeriesData(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEdgeBlockArrays vtkExodusIIReaderGetNumberOfEdgeBlockArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEdgeBlockArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgeBlockArrays ();return this GetNumberOfObjects EDGE_BLOCK  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgeBlockArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgeBlockArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeBlockArrayName vtkExodusIIReaderGetEdgeBlockArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeBlockArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeBlockArrayName (int index);return this GetObjectName EDGE_BLOCK index  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeBlockArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeBlockArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeBlockArrayStatus vtkExodusIIReaderGetEdgeBlockArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeBlockArrayStatus (const char *name);return this GetObjectStatus EDGE_BLOCK name  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeBlockArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetEdgeBlockArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetEdgeBlockArrayStatus vtkExodusIIReaderSetEdgeBlockArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetEdgeBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeBlockArrayStatus (const char *name, int flag);this SetObjectStatus EDGE_BLOCK name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetEdgeBlockArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEdgeBlockArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfFaceBlockArrays vtkExodusIIReaderGetNumberOfFaceBlockArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfFaceBlockArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaceBlockArrays ();return this GetNumberOfObjects FACE_BLOCK  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaceBlockArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaceBlockArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceBlockArrayName vtkExodusIIReaderGetFaceBlockArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceBlockArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFaceBlockArrayName (int index);return this GetObjectName FACE_BLOCK index  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceBlockArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFaceBlockArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceBlockArrayStatus vtkExodusIIReaderGetFaceBlockArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceBlockArrayStatus (const char *name);return this GetObjectStatus FACE_BLOCK name  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceBlockArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFaceBlockArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFaceBlockArrayStatus vtkExodusIIReaderSetFaceBlockArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetFaceBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceBlockArrayStatus (const char *name, int flag);this SetObjectStatus FACE_BLOCK name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetFaceBlockArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFaceBlockArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfElementBlockArrays vtkExodusIIReaderGetNumberOfElementBlockArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfElementBlockArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementBlockArrays ();return this GetNumberOfObjects ELEM_BLOCK  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementBlockArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementBlockArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementBlockArrayName vtkExodusIIReaderGetElementBlockArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementBlockArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetElementBlockArrayName (int index);return this GetObjectName ELEM_BLOCK index  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementBlockArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetElementBlockArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementBlockArrayStatus vtkExodusIIReaderGetElementBlockArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElementBlockArrayStatus (const char *name);return this GetObjectStatus ELEM_BLOCK name  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementBlockArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetElementBlockArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetElementBlockArrayStatus vtkExodusIIReaderSetElementBlockArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetElementBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElementBlockArrayStatus (const char *name, int flag);this SetObjectStatus ELEM_BLOCK name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetElementBlockArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetElementBlockArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfGlobalResultArrays vtkExodusIIReaderGetNumberOfGlobalResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfGlobalResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfGlobalResultArrays ();return this GetNumberOfObjectArrays GLOBAL  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfGlobalResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfGlobalResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalResultArrayName vtkExodusIIReaderGetGlobalResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetGlobalResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetGlobalResultArrayName (int index);return this GetObjectArrayName GLOBAL index  */
  if (arg.size() < 2) 
    throw Exception("Function GetGlobalResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetGlobalResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalResultArrayStatus vtkExodusIIReaderGetGlobalResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetGlobalResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGlobalResultArrayStatus (const char *name);return this GetObjectArrayStatus GLOBAL name  */
  if (arg.size() < 2) 
    throw Exception("Function GetGlobalResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetGlobalResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetGlobalResultArrayStatus vtkExodusIIReaderSetGlobalResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetGlobalResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobalResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus GLOBAL name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetGlobalResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetGlobalResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfPointResultArrays vtkExodusIIReaderGetNumberOfPointResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfPointResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointResultArrays ();return this GetNumberOfObjectArrays NODAL  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPointResultArrayName vtkExodusIIReaderGetPointResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPointResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointResultArrayName (int index);return this GetObjectArrayName NODAL index  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPointResultArrayStatus vtkExodusIIReaderGetPointResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetPointResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointResultArrayStatus (const char *name);return this GetObjectArrayStatus NODAL name  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetPointResultArrayStatus vtkExodusIIReaderSetPointResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetPointResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus NODAL name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetPointResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEdgeResultArrays vtkExodusIIReaderGetNumberOfEdgeResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEdgeResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgeResultArrays ();return this GetNumberOfObjectArrays EDGE_BLOCK  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgeResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgeResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeResultArrayName vtkExodusIIReaderGetEdgeResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeResultArrayName (int index);return this GetObjectArrayName EDGE_BLOCK index  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeResultArrayStatus vtkExodusIIReaderGetEdgeResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeResultArrayStatus (const char *name);return this GetObjectArrayStatus EDGE_BLOCK name  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetEdgeResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetEdgeResultArrayStatus vtkExodusIIReaderSetEdgeResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetEdgeResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus EDGE_BLOCK name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetEdgeResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEdgeResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfFaceResultArrays vtkExodusIIReaderGetNumberOfFaceResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfFaceResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaceResultArrays ();return this GetNumberOfObjectArrays FACE_BLOCK  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaceResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaceResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceResultArrayName vtkExodusIIReaderGetFaceResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFaceResultArrayName (int index);return this GetObjectArrayName FACE_BLOCK index  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFaceResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceResultArrayStatus vtkExodusIIReaderGetFaceResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceResultArrayStatus (const char *name);return this GetObjectArrayStatus FACE_BLOCK name  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFaceResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFaceResultArrayStatus vtkExodusIIReaderSetFaceResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetFaceResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus FACE_BLOCK name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetFaceResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFaceResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfElementResultArrays vtkExodusIIReaderGetNumberOfElementResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfElementResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementResultArrays ();return this GetNumberOfObjectArrays ELEM_BLOCK  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementResultArrayName vtkExodusIIReaderGetElementResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetElementResultArrayName (int index);return this GetObjectArrayName ELEM_BLOCK index  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetElementResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementResultArrayStatus vtkExodusIIReaderGetElementResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElementResultArrayStatus (const char *name);return this GetObjectArrayStatus ELEM_BLOCK name  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetElementResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetElementResultArrayStatus vtkExodusIIReaderSetElementResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetElementResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElementResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus ELEM_BLOCK name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetElementResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetElementResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfNodeMapArrays vtkExodusIIReaderGetNumberOfNodeMapArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfNodeMapArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeMapArrays ();return this GetNumberOfObjects NODE_MAP  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeMapArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeMapArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNodeMapArrayName vtkExodusIIReaderGetNodeMapArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNodeMapArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNodeMapArrayName (int index);return this GetObjectName NODE_MAP index  */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeMapArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNodeMapArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNodeMapArrayStatus vtkExodusIIReaderGetNodeMapArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNodeMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeMapArrayStatus (const char *name);return this GetObjectStatus NODE_MAP name  */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeMapArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNodeMapArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetNodeMapArrayStatus vtkExodusIIReaderSetNodeMapArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetNodeMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeMapArrayStatus (const char *name, int flag);this SetObjectStatus NODE_MAP name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeMapArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNodeMapArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEdgeMapArrays vtkExodusIIReaderGetNumberOfEdgeMapArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEdgeMapArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgeMapArrays ();return this GetNumberOfObjects EDGE_MAP  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgeMapArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgeMapArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeMapArrayName vtkExodusIIReaderGetEdgeMapArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeMapArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeMapArrayName (int index);return this GetObjectName EDGE_MAP index  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeMapArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeMapArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeMapArrayStatus vtkExodusIIReaderGetEdgeMapArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeMapArrayStatus (const char *name);return this GetObjectStatus EDGE_MAP name  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeMapArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetEdgeMapArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetEdgeMapArrayStatus vtkExodusIIReaderSetEdgeMapArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetEdgeMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeMapArrayStatus (const char *name, int flag);this SetObjectStatus EDGE_MAP name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetEdgeMapArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEdgeMapArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfFaceMapArrays vtkExodusIIReaderGetNumberOfFaceMapArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfFaceMapArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaceMapArrays ();return this GetNumberOfObjects FACE_MAP  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaceMapArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaceMapArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceMapArrayName vtkExodusIIReaderGetFaceMapArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceMapArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFaceMapArrayName (int index);return this GetObjectName FACE_MAP index  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceMapArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFaceMapArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceMapArrayStatus vtkExodusIIReaderGetFaceMapArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceMapArrayStatus (const char *name);return this GetObjectStatus FACE_MAP name  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceMapArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFaceMapArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFaceMapArrayStatus vtkExodusIIReaderSetFaceMapArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetFaceMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceMapArrayStatus (const char *name, int flag);this SetObjectStatus FACE_MAP name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetFaceMapArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFaceMapArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfElementMapArrays vtkExodusIIReaderGetNumberOfElementMapArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfElementMapArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementMapArrays ();return this GetNumberOfObjects ELEM_MAP  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementMapArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementMapArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementMapArrayName vtkExodusIIReaderGetElementMapArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementMapArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetElementMapArrayName (int index);return this GetObjectName ELEM_MAP index  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementMapArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetElementMapArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementMapArrayStatus vtkExodusIIReaderGetElementMapArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElementMapArrayStatus (const char *name);return this GetObjectStatus ELEM_MAP name  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementMapArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetElementMapArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetElementMapArrayStatus vtkExodusIIReaderSetElementMapArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetElementMapArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElementMapArrayStatus (const char *name, int flag);this SetObjectStatus ELEM_MAP name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetElementMapArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetElementMapArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfNodeSetArrays vtkExodusIIReaderGetNumberOfNodeSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfNodeSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeSetArrays ();return this GetNumberOfObjects NODE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeSetArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNodeSetArrayName vtkExodusIIReaderGetNodeSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNodeSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNodeSetArrayName (int index);return this GetObjectName NODE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNodeSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNodeSetArrayStatus vtkExodusIIReaderGetNodeSetArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNodeSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeSetArrayStatus (const char *name);return this GetObjectStatus NODE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNodeSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetNodeSetArrayStatus vtkExodusIIReaderSetNodeSetArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetNodeSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetArrayStatus (const char *name, int flag);this SetObjectStatus NODE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeSetArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNodeSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfSideSetArrays vtkExodusIIReaderGetNumberOfSideSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfSideSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSideSetArrays ();return this GetNumberOfObjects SIDE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSideSetArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSideSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetSideSetArrayName vtkExodusIIReaderGetSideSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetSideSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSideSetArrayName (int index);return this GetObjectName SIDE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSideSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetSideSetArrayStatus vtkExodusIIReaderGetSideSetArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetSideSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSideSetArrayStatus (const char *name);return this GetObjectStatus SIDE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetSideSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetSideSetArrayStatus vtkExodusIIReaderSetSideSetArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetSideSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetArrayStatus (const char *name, int flag);this SetObjectStatus SIDE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetSideSetArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSideSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEdgeSetArrays vtkExodusIIReaderGetNumberOfEdgeSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEdgeSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgeSetArrays ();return this GetNumberOfObjects EDGE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgeSetArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgeSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeSetArrayName vtkExodusIIReaderGetEdgeSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeSetArrayName (int index);return this GetObjectName EDGE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeSetArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeSetArrayStatus vtkExodusIIReaderGetEdgeSetArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeSetArrayStatus (const char *name);return this GetObjectStatus EDGE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeSetArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetEdgeSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetEdgeSetArrayStatus vtkExodusIIReaderSetEdgeSetArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetEdgeSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeSetArrayStatus (const char *name, int flag);this SetObjectStatus EDGE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetEdgeSetArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEdgeSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfFaceSetArrays vtkExodusIIReaderGetNumberOfFaceSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfFaceSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaceSetArrays ();return this GetNumberOfObjects FACE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaceSetArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaceSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceSetArrayName vtkExodusIIReaderGetFaceSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFaceSetArrayName (int index);return this GetObjectName FACE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceSetArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFaceSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceSetArrayStatus vtkExodusIIReaderGetFaceSetArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceSetArrayStatus (const char *name);return this GetObjectStatus FACE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceSetArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFaceSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFaceSetArrayStatus vtkExodusIIReaderSetFaceSetArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetFaceSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceSetArrayStatus (const char *name, int flag);this SetObjectStatus FACE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetFaceSetArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFaceSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfElementSetArrays vtkExodusIIReaderGetNumberOfElementSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfElementSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementSetArrays ();return this GetNumberOfObjects ELEM_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementSetArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementSetArrayName vtkExodusIIReaderGetElementSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetElementSetArrayName (int index);return this GetObjectName ELEM_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementSetArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetElementSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementSetArrayStatus vtkExodusIIReaderGetElementSetArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElementSetArrayStatus (const char *name);return this GetObjectStatus ELEM_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementSetArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetElementSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetElementSetArrayStatus vtkExodusIIReaderSetElementSetArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetElementSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElementSetArrayStatus (const char *name, int flag);this SetObjectStatus ELEM_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetElementSetArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetElementSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfNodeSetResultArrays vtkExodusIIReaderGetNumberOfNodeSetResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfNodeSetResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeSetResultArrays ();return this GetNumberOfObjectArrays NODE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeSetResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeSetResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNodeSetResultArrayName vtkExodusIIReaderGetNodeSetResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNodeSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNodeSetResultArrayName (int index);return this GetObjectArrayName NODE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNodeSetResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNodeSetResultArrayStatus vtkExodusIIReaderGetNodeSetResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetNodeSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeSetResultArrayStatus (const char *name);return this GetObjectArrayStatus NODE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNodeSetResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetNodeSetResultArrayStatus vtkExodusIIReaderSetNodeSetResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetNodeSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus NODE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeSetResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNodeSetResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfSideSetResultArrays vtkExodusIIReaderGetNumberOfSideSetResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfSideSetResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSideSetResultArrays ();return this GetNumberOfObjectArrays SIDE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSideSetResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSideSetResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetSideSetResultArrayName vtkExodusIIReaderGetSideSetResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetSideSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSideSetResultArrayName (int index);return this GetObjectArrayName SIDE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSideSetResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetSideSetResultArrayStatus vtkExodusIIReaderGetSideSetResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetSideSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSideSetResultArrayStatus (const char *name);return this GetObjectArrayStatus SIDE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetSideSetResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetSideSetResultArrayStatus vtkExodusIIReaderSetSideSetResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetSideSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus SIDE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetSideSetResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSideSetResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfEdgeSetResultArrays vtkExodusIIReaderGetNumberOfEdgeSetResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfEdgeSetResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgeSetResultArrays ();return this GetNumberOfObjectArrays EDGE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgeSetResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgeSetResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeSetResultArrayName vtkExodusIIReaderGetEdgeSetResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeSetResultArrayName (int index);return this GetObjectArrayName EDGE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeSetResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeSetResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetEdgeSetResultArrayStatus vtkExodusIIReaderGetEdgeSetResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetEdgeSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdgeSetResultArrayStatus (const char *name);return this GetObjectArrayStatus EDGE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeSetResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetEdgeSetResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetEdgeSetResultArrayStatus vtkExodusIIReaderSetEdgeSetResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetEdgeSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus EDGE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetEdgeSetResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEdgeSetResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfFaceSetResultArrays vtkExodusIIReaderGetNumberOfFaceSetResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfFaceSetResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFaceSetResultArrays ();return this GetNumberOfObjectArrays FACE_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFaceSetResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFaceSetResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceSetResultArrayName vtkExodusIIReaderGetFaceSetResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFaceSetResultArrayName (int index);return this GetObjectArrayName FACE_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceSetResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFaceSetResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetFaceSetResultArrayStatus vtkExodusIIReaderGetFaceSetResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetFaceSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceSetResultArrayStatus (const char *name);return this GetObjectArrayStatus FACE_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetFaceSetResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFaceSetResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFaceSetResultArrayStatus vtkExodusIIReaderSetFaceSetResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetFaceSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus FACE_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetFaceSetResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFaceSetResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetNumberOfElementSetResultArrays vtkExodusIIReaderGetNumberOfElementSetResultArraysFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetNumberOfElementSetResultArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementSetResultArrays ();return this GetNumberOfObjectArrays ELEM_SET  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElementSetResultArrays for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElementSetResultArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementSetResultArrayName vtkExodusIIReaderGetElementSetResultArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementSetResultArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetElementSetResultArrayName (int index);return this GetObjectArrayName ELEM_SET index  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementSetResultArrayName for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetElementSetResultArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetElementSetResultArrayStatus vtkExodusIIReaderGetElementSetResultArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIIReaderGetElementSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElementSetResultArrayStatus (const char *name);return this GetObjectArrayStatus ELEM_SET name  */
  if (arg.size() < 2) 
    throw Exception("Function GetElementSetResultArrayStatus for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetElementSetResultArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetElementSetResultArrayStatus vtkExodusIIReaderSetElementSetResultArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusIIReaderSetElementSetResultArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElementSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus ELEM_SET name flag  */
  if (arg.size() < 3) 
    throw Exception("Function SetElementSetResultArrayStatus for class vtkExodusIIReader requires 3 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetElementSetResultArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFastPathObjectType vtkExodusIIReaderSetFastPathObjectTypeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetFastPathObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFastPathObjectType (const char *type); */
  if (arg.size() < 2) 
    throw Exception("Function SetFastPathObjectType for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFastPathObjectType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFastPathIdType vtkExodusIIReaderSetFastPathIdTypeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetFastPathIdTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFastPathIdType (const char *type); */
  if (arg.size() < 2) 
    throw Exception("Function SetFastPathIdType for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFastPathIdType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetFastPathObjectId vtkExodusIIReaderSetFastPathObjectIdFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIIReaderSetFastPathObjectIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFastPathObjectId (vtkIdType id); */
  if (arg.size() < 2) 
    throw Exception("Function SetFastPathObjectId for class vtkExodusIIReader requires 2 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFastPathObjectId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:Reset vtkExodusIIReaderResetFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:ResetSettings vtkExodusIIReaderResetSettingsFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderResetSettingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetSettings (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetSettings for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->ResetSettings();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:ResetCache vtkExodusIIReaderResetCacheFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderResetCacheFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCache (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetCache for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->ResetCache();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:UpdateTimeInformation vtkExodusIIReaderUpdateTimeInformationFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderUpdateTimeInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateTimeInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateTimeInformation for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->UpdateTimeInformation();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:Dump vtkExodusIIReaderDumpFunction
//input a0 
//output none
ArrayVector vtkExodusIIReaderDumpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Dump (); */
  if (arg.size() < 1) 
    throw Exception("Function Dump for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtk_pointer->Dump();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetSIL vtkExodusIIReaderGetSILFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetSILFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetSIL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSIL for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetSIL();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetSILUpdateStamp vtkExodusIIReaderGetSILUpdateStampFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetSILUpdateStampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSILUpdateStamp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSILUpdateStamp for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSILUpdateStamp();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:GetProducedFastPathOutput vtkExodusIIReaderGetProducedFastPathOutputFunction
//input a0 
//output y
ArrayVector vtkExodusIIReaderGetProducedFastPathOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetProducedFastPathOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProducedFastPathOutput for class vtkExodusIIReader requires 1 argument(s)");
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetProducedFastPathOutput();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIIReader:SetTimeStepRange vtkExodusIIReaderSetTimeStepRangeFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetTimeStepRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExodusIIReaderSetTimeStepRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetTimeStepRange");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalElementID vtkExodusIIReaderGetGlobalElementIDFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetGlobalElementIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetGlobalElementID__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderGetGlobalElementID__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetGlobalElementID");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalFaceID vtkExodusIIReaderGetGlobalFaceIDFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetGlobalFaceIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetGlobalFaceID__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderGetGlobalFaceID__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetGlobalFaceID");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalEdgeID vtkExodusIIReaderGetGlobalEdgeIDFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetGlobalEdgeIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetGlobalEdgeID__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderGetGlobalEdgeID__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetGlobalEdgeID");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetGlobalNodeID vtkExodusIIReaderGetGlobalNodeIDFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetGlobalNodeIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetGlobalNodeID__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderGetGlobalNodeID__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetGlobalNodeID");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectIndex vtkExodusIIReaderGetObjectIndexFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetObjectIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetObjectIndex__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetObjectIndex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetObjectIndex");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectStatus vtkExodusIIReaderGetObjectStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetObjectStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetObjectStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetObjectStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetObjectStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectStatus vtkExodusIIReaderSetObjectStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetObjectStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderSetObjectStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderSetObjectStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetObjectStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectArrayStatus vtkExodusIIReaderGetObjectArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetObjectArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetObjectArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetObjectArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetObjectArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectArrayStatus vtkExodusIIReaderSetObjectArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetObjectArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderSetObjectArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderSetObjectArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetObjectArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetObjectAttributeStatus vtkExodusIIReaderGetObjectAttributeStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetObjectAttributeStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusIIReaderGetObjectAttributeStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderGetObjectAttributeStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetObjectAttributeStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetObjectAttributeStatus vtkExodusIIReaderSetObjectAttributeStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetObjectAttributeStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkExodusIIReaderSetObjectAttributeStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[4]))
    return vtkExodusIIReaderSetObjectAttributeStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetObjectAttributeStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetPartArrayStatus vtkExodusIIReaderSetPartArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetPartArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetPartArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetPartArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetPartArrayStatus vtkExodusIIReaderGetPartArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetPartArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusIIReaderGetPartArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetPartArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetMaterialArrayStatus vtkExodusIIReaderSetMaterialArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetMaterialArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetMaterialArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetMaterialArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetMaterialArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetMaterialArrayStatus vtkExodusIIReaderGetMaterialArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetMaterialArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetMaterialArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusIIReaderGetMaterialArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetMaterialArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetAssemblyArrayStatus vtkExodusIIReaderSetAssemblyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetAssemblyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetAssemblyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetAssemblyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetAssemblyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetAssemblyArrayStatus vtkExodusIIReaderGetAssemblyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetAssemblyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetAssemblyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusIIReaderGetAssemblyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetAssemblyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:SetHierarchyArrayStatus vtkExodusIIReaderSetHierarchyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderSetHierarchyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetHierarchyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusIIReaderSetHierarchyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderSetHierarchyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:GetHierarchyArrayStatus vtkExodusIIReaderGetHierarchyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderGetHierarchyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusIIReaderGetHierarchyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusIIReaderGetHierarchyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusIIReaderGetHierarchyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusIIReader:display vtkExodusIIReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExodusIIReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExodusIIReader* vtk_pointer = GetVTKPointer<vtkExodusIIReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExodusIIReader:delete vtkExodusIIReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkExodusIIReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExodusIIReader
//@@Section VTKHybrid
//@@Usage
// vtkExodusIIReader is a unstructured grid source object that reads ExodusII
// files.  Most of the meta data associated with the file is loaded when 
// UpdateInformation is called.  This includes information like Title, number
// of blocks, number and names of arrays. This data can be retrieved from 
// methods in this reader. Separate arrays that are meant to be a single 
// vector, are combined internally for convenience.  To be combined, the array 
// names have to be identical except for a trailing X,Y and Z (or x,y,z).  By 
// default cell and point arrays are not loaded.  However, the user can flag 
// arrays to load with the methods "SetPointArrayStatus" and
// "SetCellArrayStatus".  The reader DOES NOT respond to piece requests
// 
//
//To create an instance of class vtkExodusIIReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkExodusIIReader
//@]
//@@Methods
//The class vtkExodusIIReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExodusIIReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExodusIIReader = obj.NewInstance ()|
// \item @|vtkExodusIIReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)| -  Determine if the file can be readed with this reader.
//// \item @|long = obj.GetMTime ()| -  Return the object's MTime. This is overridden to include the timestamp of its internal class.
//// \item @|long = obj.GetMetadataMTime ()| -  Return the MTime of the internal data structure.
// This is really only intended for use by vtkPExodusIIReader in order
// to determine if the filename is newer than the metadata.
//// \item @|obj.SetFileName (string fname)| -  Specify file name of the Exodus file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of the Exodus file.
//// \item @|obj.SetXMLFileName (string fname)| -  Specify file name of the xml file.
//// \item @|string = obj.GetXMLFileName ()| -  Specify file name of the xml file.
//// \item @|obj.SetTimeStep (int )| -  Which TimeStep to read.    
//// \item @|int = obj.GetTimeStep ()| -  Which TimeStep to read.    
//// \item @|obj.SetModeShape (int val)| -  Returns the available range of valid integer time steps.
//// \item @|int = obj. GetTimeStepRange ()| -  Returns the available range of valid integer time steps.
//// \item @|obj.SetTimeStepRange (int , int )| -  Returns the available range of valid integer time steps.
//// \item @|obj.SetTimeStepRange (int  a[2])| -  Returns the available range of valid integer time steps.
//// \item @|obj.SetGenerateObjectIdCellArray (int g)| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName(). For cells representing elements from
// an Exodus element block, this is set to the element block ID. For
// cells representing edges from an Exodus edge block, this is the
// edge block ID. Similarly, ths is the face block ID for cells
// representing faces from an Exodus face block. The same holds
// for cells representing entries of node, edge, face, side, and element sets.
//// \item @|int = obj.GetGenerateObjectIdCellArray ()| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName(). For cells representing elements from
// an Exodus element block, this is set to the element block ID. For
// cells representing edges from an Exodus edge block, this is the
// edge block ID. Similarly, ths is the face block ID for cells
// representing faces from an Exodus face block. The same holds
// for cells representing entries of node, edge, face, side, and element sets.
//// \item @|obj.GenerateObjectIdCellArrayOn ()| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName(). For cells representing elements from
// an Exodus element block, this is set to the element block ID. For
// cells representing edges from an Exodus edge block, this is the
// edge block ID. Similarly, ths is the face block ID for cells
// representing faces from an Exodus face block. The same holds
// for cells representing entries of node, edge, face, side, and element sets.
//// \item @|obj.GenerateObjectIdCellArrayOff ()| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName(). For cells representing elements from
// an Exodus element block, this is set to the element block ID. For
// cells representing edges from an Exodus edge block, this is the
// edge block ID. Similarly, ths is the face block ID for cells
// representing faces from an Exodus face block. The same holds
// for cells representing entries of node, edge, face, side, and element sets.
//// \item @|obj.SetGenerateGlobalElementIdArray (int g)|
// \item @|int = obj.GetGenerateGlobalElementIdArray ()|
// \item @|obj.GenerateGlobalElementIdArrayOn ()|
// \item @|obj.GenerateGlobalElementIdArrayOff ()|
// \item @|obj.SetGenerateGlobalNodeIdArray (int g)|
// \item @|int = obj.GetGenerateGlobalNodeIdArray ()|
// \item @|obj.GenerateGlobalNodeIdArrayOn ()|
// \item @|obj.GenerateGlobalNodeIdArrayOff ()|
// \item @|obj.SetGenerateImplicitElementIdArray (int g)|
// \item @|int = obj.GetGenerateImplicitElementIdArray ()|
// \item @|obj.GenerateImplicitElementIdArrayOn ()|
// \item @|obj.GenerateImplicitElementIdArrayOff ()|
// \item @|obj.SetGenerateImplicitNodeIdArray (int g)|
// \item @|int = obj.GetGenerateImplicitNodeIdArray ()|
// \item @|obj.GenerateImplicitNodeIdArrayOn ()|
// \item @|obj.GenerateImplicitNodeIdArrayOff ()|
// \item @|obj.SetGenerateFileIdArray (int f)|
// \item @|int = obj.GetGenerateFileIdArray ()|
// \item @|obj.GenerateFileIdArrayOn ()|
// \item @|obj.GenerateFileIdArrayOff ()|
// \item @|obj.SetFileId (int f)|
// \item @|int = obj.GetFileId ()|
// \item @|obj.SetApplyDisplacements (int d)| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|int = obj.GetApplyDisplacements ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.ApplyDisplacementsOn ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.ApplyDisplacementsOff ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.SetDisplacementMagnitude (float s)| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|float = obj.GetDisplacementMagnitude ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.SetHasModeShapes (int ms)| -  Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.
// By default, HasModeShapes is false unless two time values in the Exodus file are identical,
// in which case it is true.
//// \item @|int = obj.GetHasModeShapes ()| -  Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.
// By default, HasModeShapes is false unless two time values in the Exodus file are identical,
// in which case it is true.
//// \item @|obj.HasModeShapesOn ()| -  Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.
// By default, HasModeShapes is false unless two time values in the Exodus file are identical,
// in which case it is true.
//// \item @|obj.HasModeShapesOff ()| -  Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.
// By default, HasModeShapes is false unless two time values in the Exodus file are identical,
// in which case it is true.
//// \item @|obj.SetModeShapeTime (double phase)| -  Set/Get the time used to animate mode shapes.
// This is a number between 0 and 1 that is used to scale the \a DisplacementMagnitude
// in a sinusoidal pattern. Specifically, the displacement vector for each vertex is scaled by
// \f$ \mathrm{DisplacementMagnitude} cos( 2\pi \mathrm{ModeShapeTime} ) \f$ before it is
// added to the vertex coordinates.
//// \item @|double = obj.GetModeShapeTime ()| -  Set/Get the time used to animate mode shapes.
// This is a number between 0 and 1 that is used to scale the \a DisplacementMagnitude
// in a sinusoidal pattern. Specifically, the displacement vector for each vertex is scaled by
// \f$ \mathrm{DisplacementMagnitude} cos( 2\pi \mathrm{ModeShapeTime} ) \f$ before it is
// added to the vertex coordinates.
//// \item @|obj.SetAnimateModeShapes (int flag)| -  If this flag is on (the default) and HasModeShapes is also on, then this
// reader will report a continuous time range [0,1] and animate the
// displacements in a periodic sinusoid.  If this flag is off and
// HasModeShapes is on, this reader ignores time.  This flag has no effect if
// HasModeShapes is off.
//// \item @|int = obj.GetAnimateModeShapes ()| -  If this flag is on (the default) and HasModeShapes is also on, then this
// reader will report a continuous time range [0,1] and animate the
// displacements in a periodic sinusoid.  If this flag is off and
// HasModeShapes is on, this reader ignores time.  This flag has no effect if
// HasModeShapes is off.
//// \item @|obj.AnimateModeShapesOn ()| -  If this flag is on (the default) and HasModeShapes is also on, then this
// reader will report a continuous time range [0,1] and animate the
// displacements in a periodic sinusoid.  If this flag is off and
// HasModeShapes is on, this reader ignores time.  This flag has no effect if
// HasModeShapes is off.
//// \item @|obj.AnimateModeShapesOff ()| -  If this flag is on (the default) and HasModeShapes is also on, then this
// reader will report a continuous time range [0,1] and animate the
// displacements in a periodic sinusoid.  If this flag is off and
// HasModeShapes is on, this reader ignores time.  This flag has no effect if
// HasModeShapes is off.
//// \item @|obj.SetEdgeFieldDecorations (int d)| -  FIXME
//// \item @|int = obj.GetEdgeFieldDecorations ()| -  FIXME
//// \item @|obj.EdgeFieldDecorationsNone ()| -  FIXME
//// \item @|obj.EdgeFieldDecorationsGlyphs ()| -  FIXME
//// \item @|obj.EdgeFieldDecorationsCornerAveraged ()| -  FIXME
//// \item @|obj.SetFaceFieldDecorations (int d)| -  FIXME
//// \item @|int = obj.GetFaceFieldDecorations ()| -  FIXME
//// \item @|obj.FaceFieldDecorationsNone ()| -  FIXME
//// \item @|obj.FaceFieldDecorationsGlyphs ()| -  FIXME
//// \item @|obj.FaceFieldDecorationsCornerAveraged ()| -  Access to meta data generated by UpdateInformation.
//// \item @|string = obj.GetTitle ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetDimensionality ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfNodesInFile ()|
// \item @|int = obj.GetNumberOfEdgesInFile ()|
// \item @|int = obj.GetNumberOfFacesInFile ()|
// \item @|int = obj.GetNumberOfElementsInFile ()|
// \item @|int = obj.GetObjectTypeFromName (string name)|
// \item @|string = obj.GetObjectTypeName (int )|
// \item @|int = obj.GetNumberOfNodes ()|
// \item @|int = obj.GetNumberOfObjects (int objectType)|
// \item @|int = obj.GetNumberOfEntriesInObject (int objectType, int objectIndex)|
// \item @|int = obj.GetObjectId (int objectType, int objectIndex)|
// \item @|string = obj.GetObjectName (int objectType, int objectIndex)|
// \item @|int = obj.GetObjectIndex (int objectType, string objectName)|
// \item @|int = obj.GetObjectIndex (int objectType, int id)|
// \item @|int = obj.GetObjectStatus (int objectType, int objectIndex)|
// \item @|int = obj.GetObjectStatus (int objectType, string objectName)|
// \item @|obj.SetObjectStatus (int objectType, int objectIndex, int status)|
// \item @|obj.SetObjectStatus (int objectType, string objectName, int status)|
// \item @|int = obj.GetNumberOfObjectArrays (int objectType)|
// \item @|string = obj.GetObjectArrayName (int objectType, int arrayIndex)|
// \item @|int = obj.GetObjectArrayIndex (int objectType, string arrayName)|
// \item @|int = obj.GetNumberOfObjectArrayComponents (int objectType, int arrayIndex)|
// \item @|int = obj.GetObjectArrayStatus (int objectType, int arrayIndex)|
// \item @|int = obj.GetObjectArrayStatus (int objectType, string arrayName)|
// \item @|obj.SetObjectArrayStatus (int objectType, int arrayIndex, int status)|
// \item @|obj.SetObjectArrayStatus (int objectType, string arrayName, int status)|
// \item @|int = obj.GetNumberOfObjectAttributes (int objectType, int objectIndex)|
// \item @|string = obj.GetObjectAttributeName (int objectType, int objectIndex, int attribIndex)|
// \item @|int = obj.GetObjectAttributeIndex (int objectType, int objectIndex, string attribName)|
// \item @|int = obj.GetObjectAttributeStatus (int objectType, int objectIndex, int attribIndex)|
// \item @|int = obj.GetObjectAttributeStatus (int objectType, int objectIndex, string attribName)|
// \item @|obj.SetObjectAttributeStatus (int objectType, int objectIndex, int attribIndex, int status)|
// \item @|obj.SetObjectAttributeStatus (int objectType, int objectIndex, string attribName, int status)|
// \item @|vtkIdType = obj.GetTotalNumberOfNodes ()|
// \item @|vtkIdType = obj.GetTotalNumberOfEdges ()|
// \item @|vtkIdType = obj.GetTotalNumberOfFaces ()|
// \item @|vtkIdType = obj.GetTotalNumberOfElements ()|
// \item @|int = obj.GetNumberOfPartArrays ()|
// \item @|string = obj.GetPartArrayName (int arrayIdx)|
// \item @|int = obj.GetPartArrayID (string name)|
// \item @|string = obj.GetPartBlockInfo (int arrayIdx)|
// \item @|obj.SetPartArrayStatus (int index, int flag)|
// \item @|obj.SetPartArrayStatus (string , int flag)|
// \item @|int = obj.GetPartArrayStatus (int index)|
// \item @|int = obj.GetPartArrayStatus (string )|
// \item @|int = obj.GetNumberOfMaterialArrays ()|
// \item @|string = obj.GetMaterialArrayName (int arrayIdx)|
// \item @|int = obj.GetMaterialArrayID (string name)|
// \item @|obj.SetMaterialArrayStatus (int index, int flag)|
// \item @|obj.SetMaterialArrayStatus (string , int flag)|
// \item @|int = obj.GetMaterialArrayStatus (int index)|
// \item @|int = obj.GetMaterialArrayStatus (string )|
// \item @|int = obj.GetNumberOfAssemblyArrays ()|
// \item @|string = obj.GetAssemblyArrayName (int arrayIdx)|
// \item @|int = obj.GetAssemblyArrayID (string name)|
// \item @|obj.SetAssemblyArrayStatus (int index, int flag)|
// \item @|obj.SetAssemblyArrayStatus (string , int flag)|
// \item @|int = obj.GetAssemblyArrayStatus (int index)|
// \item @|int = obj.GetAssemblyArrayStatus (string )|
// \item @|int = obj.GetNumberOfHierarchyArrays ()|
// \item @|string = obj.GetHierarchyArrayName (int arrayIdx)|
// \item @|obj.SetHierarchyArrayStatus (int index, int flag)|
// \item @|obj.SetHierarchyArrayStatus (string , int flag)|
// \item @|int = obj.GetHierarchyArrayStatus (int index)|
// \item @|int = obj.GetHierarchyArrayStatus (string )|
// \item @|int = obj.GetDisplayType ()|
// \item @|obj.SetDisplayType (int type)|
// \item @|obj.ExodusModelMetadataOn ()|
// \item @|obj.ExodusModelMetadataOff ()|
// \item @|obj.SetExodusModelMetadata (int )|
// \item @|int = obj.GetExodusModelMetadata ()|
// \item @|vtkExodusModel = obj.GetExodusModel ()| -    Returns the object which encapsulates the model metadata.
//// \item @|obj.SetPackExodusModelOntoOutput (int )|
// \item @|int = obj.GetPackExodusModelOntoOutput ()|
// \item @|obj.PackExodusModelOntoOutputOn ()|
// \item @|obj.PackExodusModelOntoOutputOff ()|
// \item @|int = obj.IsValidVariable (string type, string name)|
// \item @|int = obj.GetVariableID (string type, string name)|
// \item @|obj.SetAllArrayStatus (int otype, int status)|
// \item @|int = obj.GetTimeSeriesData (int ID, string vName, string vType, vtkFloatArray result)|
// \item @|int = obj.GetNumberOfEdgeBlockArrays ()|
// \item @|string = obj.GetEdgeBlockArrayName (int index)|
// \item @|int = obj.GetEdgeBlockArrayStatus (string name)|
// \item @|obj.SetEdgeBlockArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfFaceBlockArrays ()|
// \item @|string = obj.GetFaceBlockArrayName (int index)|
// \item @|int = obj.GetFaceBlockArrayStatus (string name)|
// \item @|obj.SetFaceBlockArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfElementBlockArrays ()|
// \item @|string = obj.GetElementBlockArrayName (int index)|
// \item @|int = obj.GetElementBlockArrayStatus (string name)|
// \item @|obj.SetElementBlockArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfGlobalResultArrays ()|
// \item @|string = obj.GetGlobalResultArrayName (int index)|
// \item @|int = obj.GetGlobalResultArrayStatus (string name)|
// \item @|obj.SetGlobalResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfPointResultArrays ()|
// \item @|string = obj.GetPointResultArrayName (int index)|
// \item @|int = obj.GetPointResultArrayStatus (string name)|
// \item @|obj.SetPointResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfEdgeResultArrays ()|
// \item @|string = obj.GetEdgeResultArrayName (int index)|
// \item @|int = obj.GetEdgeResultArrayStatus (string name)|
// \item @|obj.SetEdgeResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfFaceResultArrays ()|
// \item @|string = obj.GetFaceResultArrayName (int index)|
// \item @|int = obj.GetFaceResultArrayStatus (string name)|
// \item @|obj.SetFaceResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfElementResultArrays ()|
// \item @|string = obj.GetElementResultArrayName (int index)|
// \item @|int = obj.GetElementResultArrayStatus (string name)|
// \item @|obj.SetElementResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfNodeMapArrays ()|
// \item @|string = obj.GetNodeMapArrayName (int index)|
// \item @|int = obj.GetNodeMapArrayStatus (string name)|
// \item @|obj.SetNodeMapArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfEdgeMapArrays ()|
// \item @|string = obj.GetEdgeMapArrayName (int index)|
// \item @|int = obj.GetEdgeMapArrayStatus (string name)|
// \item @|obj.SetEdgeMapArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfFaceMapArrays ()|
// \item @|string = obj.GetFaceMapArrayName (int index)|
// \item @|int = obj.GetFaceMapArrayStatus (string name)|
// \item @|obj.SetFaceMapArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfElementMapArrays ()|
// \item @|string = obj.GetElementMapArrayName (int index)|
// \item @|int = obj.GetElementMapArrayStatus (string name)|
// \item @|obj.SetElementMapArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfNodeSetArrays ()|
// \item @|string = obj.GetNodeSetArrayName (int index)|
// \item @|int = obj.GetNodeSetArrayStatus (string name)|
// \item @|obj.SetNodeSetArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfSideSetArrays ()|
// \item @|string = obj.GetSideSetArrayName (int index)|
// \item @|int = obj.GetSideSetArrayStatus (string name)|
// \item @|obj.SetSideSetArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfEdgeSetArrays ()|
// \item @|string = obj.GetEdgeSetArrayName (int index)|
// \item @|int = obj.GetEdgeSetArrayStatus (string name)|
// \item @|obj.SetEdgeSetArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfFaceSetArrays ()|
// \item @|string = obj.GetFaceSetArrayName (int index)|
// \item @|int = obj.GetFaceSetArrayStatus (string name)|
// \item @|obj.SetFaceSetArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfElementSetArrays ()|
// \item @|string = obj.GetElementSetArrayName (int index)|
// \item @|int = obj.GetElementSetArrayStatus (string name)|
// \item @|obj.SetElementSetArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfNodeSetResultArrays ()|
// \item @|string = obj.GetNodeSetResultArrayName (int index)|
// \item @|int = obj.GetNodeSetResultArrayStatus (string name)|
// \item @|obj.SetNodeSetResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfSideSetResultArrays ()|
// \item @|string = obj.GetSideSetResultArrayName (int index)|
// \item @|int = obj.GetSideSetResultArrayStatus (string name)|
// \item @|obj.SetSideSetResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfEdgeSetResultArrays ()|
// \item @|string = obj.GetEdgeSetResultArrayName (int index)|
// \item @|int = obj.GetEdgeSetResultArrayStatus (string name)|
// \item @|obj.SetEdgeSetResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfFaceSetResultArrays ()|
// \item @|string = obj.GetFaceSetResultArrayName (int index)|
// \item @|int = obj.GetFaceSetResultArrayStatus (string name)|
// \item @|obj.SetFaceSetResultArrayStatus (string name, int flag)|
// \item @|int = obj.GetNumberOfElementSetResultArrays ()|
// \item @|string = obj.GetElementSetResultArrayName (int index)|
// \item @|int = obj.GetElementSetResultArrayStatus (string name)|
// \item @|obj.SetElementSetResultArrayStatus (string name, int flag)| -  Set the fast-path keys. All three must be set for the fast-path
// option to work.
// Possible argument values: "POINT","CELL","EDGE","FACE"
//// \item @|obj.SetFastPathObjectType (string type)| -  Set the fast-path keys. All three must be set for the fast-path
// option to work.
// Possible argument values: "POINT","CELL","EDGE","FACE"
//// \item @|obj.SetFastPathIdType (string type)| -  Possible argument values: "INDEX","GLOBAL"
// "GLOBAL" means the id refers to a global id
// "INDEX" means the id refers to an index into the VTK array
//// \item @|obj.SetFastPathObjectId (vtkIdType id)| -  Possible argument values: "INDEX","GLOBAL"
// "GLOBAL" means the id refers to a global id
// "INDEX" means the id refers to an index into the VTK array
//// \item @|obj.Reset ()| -  Reset the user-specified parameters and flush internal arrays
// so that the reader state is just as it was after the reader was
// instantiated.
//
// It doesn't make sense to let users reset only the internal state;
// both the settings and the state are changed by this call.
//// \item @|obj.ResetSettings ()| -  Reset the user-specified parameters to their default values.
// The only settings not affected are the filename and/or pattern
// because these have no default.
//
// Resetting the settings but not the state allows users to
// keep the active cache but return to initial array selections, etc.
//// \item @|obj.ResetCache ()| -  Clears out the cache entries.
//// \item @|obj.UpdateTimeInformation ()| -  Re-reads time information from the exodus file and updates
// TimeStepRange accordingly.
//// \item @|obj.Dump ()|
// \item @|vtkGraph = obj.GetSIL ()| -  SIL describes organization of/relationships between classifications 
// eg. blocks/materials/hierarchies.
//// \item @|int = obj.GetSILUpdateStamp ()| -  Every time the SIL is updated a this will return a different value.
//// \item @|bool = obj.GetProducedFastPathOutput ()| -  HACK: Used by vtkPExodusIIReader to tell is the reader produced a valid
// fast path output.
////\end{itemize}
//!
