#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXYPlotActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXYPlotActor.h"

//@@Signature
//sfunction @vtkXYPlotActor:vtkXYPlotActor vtkXYPlotActorConstructorFunction
//input a
//output p
//@@Parents vtkXYPlotActor vtkActor2D 
ArrayVector vtkXYPlotActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXYPlotActor::New(),"vtkXYPlotActor",eval);
  } else if (arg[0].className() == "vtkXYPlotActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXYPlotActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXYPlotActor");
    vtkXYPlotActor*q = reinterpret_cast<vtkXYPlotActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXYPlotActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXYPlotActor:GetClassName vtkXYPlotActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:IsA vtkXYPlotActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:NewInstance vtkXYPlotActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYPlotActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkXYPlotActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYPlotActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SafeDownCast vtkXYPlotActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYPlotActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXYPlotActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYPlotActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:AddInput__1 vtkXYPlotActorAddInput__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXYPlotActorAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataSet *in, const char *arrayName, int component); */
  if (arg.size() < 4) 
    throw Exception("Function AddInput__1 for class vtkXYPlotActor requires 4 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->AddInput(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:AddInput__2 vtkXYPlotActorAddInput__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataSet *in);this AddInput in NULL  */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:RemoveInput__1 vtkXYPlotActorRemoveInput__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXYPlotActorRemoveInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveInput (vtkDataSet *in, const char *arrayName, int component); */
  if (arg.size() < 4) 
    throw Exception("Function RemoveInput__1 for class vtkXYPlotActor requires 4 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  char    *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->RemoveInput(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:RemoveInput__2 vtkXYPlotActorRemoveInput__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorRemoveInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveInput (vtkDataSet *in);this RemoveInput in NULL  */
  if (arg.size() < 2) 
    throw Exception("Function RemoveInput__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->RemoveInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:RemoveAllInputs vtkXYPlotActorRemoveAllInputsFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorRemoveAllInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllInputs (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllInputs for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllInputs();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetInputList vtkXYPlotActorGetInputListFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetInputListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *GetInputList ();return this InputList  */
  if (arg.size() < 1) 
    throw Exception("Function GetInputList for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataSetCollection  *temp20;
  temp20 = (vtk_pointer)->GetInputList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPointComponent vtkXYPlotActorSetPointComponentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPointComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointComponent (int i, int comp); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointComponent for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPointComponent vtkXYPlotActorGetPointComponentFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetPointComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointComponent (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointComponent for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXValues vtkXYPlotActorSetXValuesFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetXValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXValues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXValues for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXValuesMinValue vtkXYPlotActorGetXValuesMinValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXValuesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXValuesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXValuesMinValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXValuesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXValuesMaxValue vtkXYPlotActorGetXValuesMaxValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXValuesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXValuesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXValuesMaxValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXValuesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXValues vtkXYPlotActorGetXValuesFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXValues for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXValuesToIndex vtkXYPlotActorSetXValuesToIndexFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorSetXValuesToIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXValuesToIndex ();this SetXValues VTK_XYPLOT_INDEX  */
  if (arg.size() < 1) 
    throw Exception("Function SetXValuesToIndex for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetXValuesToIndex();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXValuesToArcLength vtkXYPlotActorSetXValuesToArcLengthFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorSetXValuesToArcLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXValuesToArcLength ();this SetXValues VTK_XYPLOT_ARC_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetXValuesToArcLength for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetXValuesToArcLength();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXValuesToNormalizedArcLength vtkXYPlotActorSetXValuesToNormalizedArcLengthFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorSetXValuesToNormalizedArcLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXValuesToNormalizedArcLength ();this SetXValues VTK_XYPLOT_NORMALIZED_ARC_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetXValuesToNormalizedArcLength for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetXValuesToNormalizedArcLength();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXValuesToValue vtkXYPlotActorSetXValuesToValueFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorSetXValuesToValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXValuesToValue ();this SetXValues VTK_XYPLOT_VALUE  */
  if (arg.size() < 1) 
    throw Exception("Function SetXValuesToValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetXValuesToValue();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXValuesAsString vtkXYPlotActorGetXValuesAsStringFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXValuesAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetXValuesAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXValuesAsString for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetXValuesAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:AddDataObjectInput vtkXYPlotActorAddDataObjectInputFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorAddDataObjectInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddDataObjectInput (vtkDataObject *in); */
  if (arg.size() < 2) 
    throw Exception("Function AddDataObjectInput for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddDataObjectInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:RemoveDataObjectInput vtkXYPlotActorRemoveDataObjectInputFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorRemoveDataObjectInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDataObjectInput (vtkDataObject *in); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveDataObjectInput for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->RemoveDataObjectInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectInputList vtkXYPlotActorGetDataObjectInputListFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetDataObjectInputListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectCollection *GetDataObjectInputList ();return this DataObjectInputList  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectInputList for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp20;
  temp20 = (vtk_pointer)->GetDataObjectInputList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetDataObjectPlotMode vtkXYPlotActorSetDataObjectPlotModeFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetDataObjectPlotModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObjectPlotMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataObjectPlotMode for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataObjectPlotMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectPlotModeMinValue vtkXYPlotActorGetDataObjectPlotModeMinValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetDataObjectPlotModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectPlotModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectPlotModeMinValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectPlotModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectPlotModeMaxValue vtkXYPlotActorGetDataObjectPlotModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetDataObjectPlotModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectPlotModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectPlotModeMaxValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectPlotModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectPlotMode vtkXYPlotActorGetDataObjectPlotModeFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetDataObjectPlotModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectPlotMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectPlotMode for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectPlotMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetDataObjectPlotModeToRows vtkXYPlotActorSetDataObjectPlotModeToRowsFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorSetDataObjectPlotModeToRowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObjectPlotModeToRows ();this SetDataObjectPlotMode VTK_XYPLOT_ROW  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataObjectPlotModeToRows for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataObjectPlotModeToRows();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetDataObjectPlotModeToColumns vtkXYPlotActorSetDataObjectPlotModeToColumnsFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorSetDataObjectPlotModeToColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObjectPlotModeToColumns ();this SetDataObjectPlotMode VTK_XYPLOT_COLUMN  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataObjectPlotModeToColumns for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetDataObjectPlotModeToColumns();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectPlotModeAsString vtkXYPlotActorGetDataObjectPlotModeAsStringFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetDataObjectPlotModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataObjectPlotModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectPlotModeAsString for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataObjectPlotModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetDataObjectXComponent vtkXYPlotActorSetDataObjectXComponentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetDataObjectXComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObjectXComponent (int i, int comp); */
  if (arg.size() < 3) 
    throw Exception("Function SetDataObjectXComponent for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetDataObjectXComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectXComponent vtkXYPlotActorGetDataObjectXComponentFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetDataObjectXComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectXComponent (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataObjectXComponent for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataObjectXComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetDataObjectYComponent vtkXYPlotActorSetDataObjectYComponentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetDataObjectYComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObjectYComponent (int i, int comp); */
  if (arg.size() < 3) 
    throw Exception("Function SetDataObjectYComponent for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetDataObjectYComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetDataObjectYComponent vtkXYPlotActorGetDataObjectYComponentFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetDataObjectYComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectYComponent (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataObjectYComponent for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataObjectYComponent(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotColor__1 vtkXYPlotActorSetPlotColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkXYPlotActorSetPlotColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotColor (int i, double r, double g, double b); */
  if (arg.size() < 5) 
    throw Exception("Function SetPlotColor__1 for class vtkXYPlotActor requires 5 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPlotColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotColor__2 vtkXYPlotActorSetPlotColor__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPlotColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotColor (int i, const double color[3]);this SetPlotColor i color color color  */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotColor__2 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetPlotColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotColor vtkXYPlotActorGetPlotColorFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetPlotColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPlotColor (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlotColor for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlotColor(temp0);
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotSymbol vtkXYPlotActorSetPlotSymbolFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPlotSymbolFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotSymbol (int i, vtkPolyData *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotSymbol for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->SetPlotSymbol(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotSymbol vtkXYPlotActorGetPlotSymbolFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetPlotSymbolFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPlotSymbol (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlotSymbol for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlotSymbol(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotLabel vtkXYPlotActorSetPlotLabelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPlotLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotLabel (int i, const char *label); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotLabel for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetPlotLabel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotLabel vtkXYPlotActorGetPlotLabelFunction
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetPlotLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPlotLabel (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlotLabel for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlotLabel(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotCurvePoints vtkXYPlotActorGetPlotCurvePointsFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetPlotCurvePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotCurvePoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotCurvePoints for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlotCurvePoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotCurvePoints vtkXYPlotActorSetPlotCurvePointsFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetPlotCurvePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotCurvePoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotCurvePoints for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlotCurvePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotCurvePointsOn vtkXYPlotActorPlotCurvePointsOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotCurvePointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotCurvePointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotCurvePointsOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotCurvePointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotCurvePointsOff vtkXYPlotActorPlotCurvePointsOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotCurvePointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotCurvePointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotCurvePointsOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotCurvePointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotCurveLines vtkXYPlotActorGetPlotCurveLinesFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetPlotCurveLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotCurveLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotCurveLines for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlotCurveLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotCurveLines vtkXYPlotActorSetPlotCurveLinesFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetPlotCurveLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotCurveLines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotCurveLines for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlotCurveLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotCurveLinesOn vtkXYPlotActorPlotCurveLinesOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotCurveLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotCurveLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotCurveLinesOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotCurveLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotCurveLinesOff vtkXYPlotActorPlotCurveLinesOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotCurveLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotCurveLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotCurveLinesOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotCurveLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotLines__1 vtkXYPlotActorSetPlotLines__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPlotLines__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotLines (int i, int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotLines__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPlotLines(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotLines__1 vtkXYPlotActorGetPlotLines__1Function
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetPlotLines__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotLines (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlotLines__1 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlotLines(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotPoints__1 vtkXYPlotActorSetPlotPoints__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPlotPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotPoints (int i, int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotPoints__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPlotPoints(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotPoints__1 vtkXYPlotActorGetPlotPoints__1Function
//input a0 a1 
//output y
ArrayVector vtkXYPlotActorGetPlotPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotPoints (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPlotPoints__1 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPlotPoints(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetExchangeAxes vtkXYPlotActorSetExchangeAxesFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetExchangeAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExchangeAxes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExchangeAxes for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExchangeAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetExchangeAxes vtkXYPlotActorGetExchangeAxesFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetExchangeAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExchangeAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExchangeAxes for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExchangeAxes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ExchangeAxesOn vtkXYPlotActorExchangeAxesOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorExchangeAxesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExchangeAxesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExchangeAxesOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ExchangeAxesOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ExchangeAxesOff vtkXYPlotActorExchangeAxesOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorExchangeAxesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExchangeAxesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExchangeAxesOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ExchangeAxesOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetReverseXAxis vtkXYPlotActorSetReverseXAxisFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetReverseXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseXAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseXAxis for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseXAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetReverseXAxis vtkXYPlotActorGetReverseXAxisFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetReverseXAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseXAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseXAxis for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseXAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ReverseXAxisOn vtkXYPlotActorReverseXAxisOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorReverseXAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseXAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseXAxisOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ReverseXAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ReverseXAxisOff vtkXYPlotActorReverseXAxisOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorReverseXAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseXAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseXAxisOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ReverseXAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetReverseYAxis vtkXYPlotActorSetReverseYAxisFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetReverseYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseYAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseYAxis for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseYAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetReverseYAxis vtkXYPlotActorGetReverseYAxisFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetReverseYAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseYAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseYAxis for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseYAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ReverseYAxisOn vtkXYPlotActorReverseYAxisOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorReverseYAxisOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseYAxisOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseYAxisOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ReverseYAxisOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ReverseYAxisOff vtkXYPlotActorReverseYAxisOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorReverseYAxisOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseYAxisOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseYAxisOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ReverseYAxisOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetLegendActor vtkXYPlotActorGetLegendActorFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetLegendActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLegendBoxActor *GetLegendActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendActor for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkLegendBoxActor  *temp20;
  temp20 = (vtk_pointer)->GetLegendActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLegendBoxActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetGlyphSource vtkXYPlotActorGetGlyphSourceFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetGlyphSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGlyphSource2D *GetGlyphSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphSource for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkGlyphSource2D  *temp20;
  temp20 = (vtk_pointer)->GetGlyphSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGlyphSource2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetTitle vtkXYPlotActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetTitle vtkXYPlotActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXTitle vtkXYPlotActorSetXTitleFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetXTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXTitle for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXTitle vtkXYPlotActorGetXTitleFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXTitle for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetYTitle vtkXYPlotActorSetYTitleFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetYTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYTitle for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetYTitle vtkXYPlotActorGetYTitleFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetYTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYTitle for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXAxisActor2D vtkXYPlotActorGetXAxisActor2DFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXAxisActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetXAxisActor2D ();return this XAxis  */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisActor2D for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetXAxisActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetYAxisActor2D vtkXYPlotActorGetYAxisActor2DFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetYAxisActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetYAxisActor2D ();return this YAxis  */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisActor2D for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetYAxisActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXRange__1 vtkXYPlotActorSetXRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetXRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetXRange__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetXRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXRange__2 vtkXYPlotActorSetXRange__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetXRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetXRange__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetXRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXRange vtkXYPlotActorGetXRangeFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetXRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXRange for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetXRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetYRange__1 vtkXYPlotActorSetYRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetYRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetYRange__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetYRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetYRange__2 vtkXYPlotActorSetYRange__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetYRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetYRange__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetYRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetYRange vtkXYPlotActorGetYRangeFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetYRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetYRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYRange for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetYRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotRange vtkXYPlotActorSetPlotRangeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkXYPlotActorSetPlotRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotRange (double xmin, double ymin, double xmax, double ymax);this SetXRange xmin xmax this SetYRange ymin ymax  */
  if (arg.size() < 5) 
    throw Exception("Function SetPlotRange for class vtkXYPlotActor requires 5 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPlotRange(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetNumberOfXLabels vtkXYPlotActorSetNumberOfXLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetNumberOfXLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfXLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfXLabels for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfXLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfXLabelsMinValue vtkXYPlotActorGetNumberOfXLabelsMinValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfXLabelsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfXLabelsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfXLabelsMinValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfXLabelsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfXLabelsMaxValue vtkXYPlotActorGetNumberOfXLabelsMaxValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfXLabelsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfXLabelsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfXLabelsMaxValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfXLabelsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfXLabels vtkXYPlotActorGetNumberOfXLabelsFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfXLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfXLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfXLabels for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfXLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetNumberOfYLabels vtkXYPlotActorSetNumberOfYLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetNumberOfYLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfYLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfYLabels for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfYLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfYLabelsMinValue vtkXYPlotActorGetNumberOfYLabelsMinValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfYLabelsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfYLabelsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfYLabelsMinValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfYLabelsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfYLabelsMaxValue vtkXYPlotActorGetNumberOfYLabelsMaxValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfYLabelsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfYLabelsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfYLabelsMaxValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfYLabelsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfYLabels vtkXYPlotActorGetNumberOfYLabelsFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfYLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfYLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfYLabels for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfYLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetNumberOfLabels vtkXYPlotActorSetNumberOfLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetNumberOfLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfLabels (int num);this SetNumberOfXLabels num this SetNumberOfYLabels num  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfLabels for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetAdjustXLabels vtkXYPlotActorSetAdjustXLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetAdjustXLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustXLabels (int adjust); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustXLabels for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdjustXLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetAdjustXLabels vtkXYPlotActorGetAdjustXLabelsFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetAdjustXLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdjustXLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustXLabels for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustXLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetAdjustYLabels vtkXYPlotActorSetAdjustYLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetAdjustYLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustYLabels (int adjust); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustYLabels for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdjustYLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetAdjustYLabels vtkXYPlotActorGetAdjustYLabelsFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetAdjustYLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdjustYLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustYLabels for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustYLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXTitlePosition vtkXYPlotActorSetXTitlePositionFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetXTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXTitlePosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetXTitlePosition for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXTitlePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXTitlePosition vtkXYPlotActorGetXTitlePositionFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXTitlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXTitlePosition for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXTitlePosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetYTitlePosition vtkXYPlotActorSetYTitlePositionFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetYTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYTitlePosition (double position); */
  if (arg.size() < 2) 
    throw Exception("Function SetYTitlePosition for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYTitlePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetYTitlePosition vtkXYPlotActorGetYTitlePositionFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetYTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYTitlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYTitlePosition for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYTitlePosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetNumberOfXMinorTicks vtkXYPlotActorSetNumberOfXMinorTicksFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetNumberOfXMinorTicksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfXMinorTicks (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfXMinorTicks for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfXMinorTicks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfXMinorTicks vtkXYPlotActorGetNumberOfXMinorTicksFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfXMinorTicksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfXMinorTicks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfXMinorTicks for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfXMinorTicks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetNumberOfYMinorTicks vtkXYPlotActorSetNumberOfYMinorTicksFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetNumberOfYMinorTicksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfYMinorTicks (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfYMinorTicks for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfYMinorTicks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetNumberOfYMinorTicks vtkXYPlotActorGetNumberOfYMinorTicksFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetNumberOfYMinorTicksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfYMinorTicks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfYMinorTicks for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfYMinorTicks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegend vtkXYPlotActorSetLegendFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetLegendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegend (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegend for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLegend(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetLegend vtkXYPlotActorGetLegendFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetLegendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLegend (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegend for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLegend();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:LegendOn vtkXYPlotActorLegendOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorLegendOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:LegendOff vtkXYPlotActorLegendOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorLegendOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetTitlePosition__1 vtkXYPlotActorSetTitlePosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetTitlePosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitlePosition (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTitlePosition__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetTitlePosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetTitlePosition__2 vtkXYPlotActorSetTitlePosition__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetTitlePosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitlePosition (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitlePosition__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTitlePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetTitlePosition vtkXYPlotActorGetTitlePositionFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetTitlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitlePosition for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTitlePosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetAdjustTitlePosition vtkXYPlotActorSetAdjustTitlePositionFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetAdjustTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustTitlePosition (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustTitlePosition for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdjustTitlePosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetAdjustTitlePosition vtkXYPlotActorGetAdjustTitlePositionFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetAdjustTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdjustTitlePosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustTitlePosition for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustTitlePosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:AdjustTitlePositionOn vtkXYPlotActorAdjustTitlePositionOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorAdjustTitlePositionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustTitlePositionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AdjustTitlePositionOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->AdjustTitlePositionOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:AdjustTitlePositionOff vtkXYPlotActorAdjustTitlePositionOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorAdjustTitlePositionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustTitlePositionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AdjustTitlePositionOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->AdjustTitlePositionOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetAdjustTitlePositionMode vtkXYPlotActorSetAdjustTitlePositionModeFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetAdjustTitlePositionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustTitlePositionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustTitlePositionMode for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdjustTitlePositionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetAdjustTitlePositionMode vtkXYPlotActorGetAdjustTitlePositionModeFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetAdjustTitlePositionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdjustTitlePositionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustTitlePositionMode for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustTitlePositionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegendPosition__1 vtkXYPlotActorSetLegendPosition__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetLegendPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendPosition (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLegendPosition__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLegendPosition(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegendPosition__2 vtkXYPlotActorSetLegendPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetLegendPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendPosition (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegendPosition__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLegendPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetLegendPosition vtkXYPlotActorGetLegendPositionFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetLegendPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLegendPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendPosition for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLegendPosition();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegendPosition2__1 vtkXYPlotActorSetLegendPosition2__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetLegendPosition2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendPosition2 (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetLegendPosition2__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetLegendPosition2(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegendPosition2__2 vtkXYPlotActorSetLegendPosition2__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetLegendPosition2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendPosition2 (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegendPosition2__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetLegendPosition2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetLegendPosition2 vtkXYPlotActorGetLegendPosition2Function
//input a0 
//output y
ArrayVector vtkXYPlotActorGetLegendPosition2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetLegendPosition2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendPosition2 for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetLegendPosition2();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetTitleTextProperty vtkXYPlotActorSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetTitleTextProperty vtkXYPlotActorGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetAxisTitleTextProperty vtkXYPlotActorSetAxisTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetAxisTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAxisTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisTitleTextProperty for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetAxisTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetAxisTitleTextProperty vtkXYPlotActorGetAxisTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetAxisTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetAxisTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisTitleTextProperty for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetAxisTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetAxisLabelTextProperty vtkXYPlotActorSetAxisLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetAxisLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAxisLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisLabelTextProperty for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetAxisLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetAxisLabelTextProperty vtkXYPlotActorGetAxisLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetAxisLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetAxisLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisLabelTextProperty for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetAxisLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLogx vtkXYPlotActorSetLogxFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetLogxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLogx (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLogx for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLogx(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetLogx vtkXYPlotActorGetLogxFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetLogxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLogx (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLogx for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLogx();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:LogxOn vtkXYPlotActorLogxOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorLogxOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LogxOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LogxOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LogxOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:LogxOff vtkXYPlotActorLogxOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorLogxOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LogxOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LogxOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LogxOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLabelFormat vtkXYPlotActorSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelFormat (const char *_arg); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetLabelFormat vtkXYPlotActorGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLabelFormat ();return this GetXLabelFormat  */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXLabelFormat vtkXYPlotActorSetXLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetXLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXLabelFormat (const char *_arg); */
  if (arg.size() < 2) 
    throw Exception("Function SetXLabelFormat for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetXLabelFormat vtkXYPlotActorGetXLabelFormatFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetXLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXLabelFormat for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetYLabelFormat vtkXYPlotActorSetYLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetYLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetYLabelFormat (const char *_arg); */
  if (arg.size() < 2) 
    throw Exception("Function SetYLabelFormat for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetYLabelFormat vtkXYPlotActorGetYLabelFormatFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetYLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYLabelFormat for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetBorder vtkXYPlotActorSetBorderFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorder for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBorder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetBorderMinValue vtkXYPlotActorGetBorderMinValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetBorderMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorderMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorderMinValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorderMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetBorderMaxValue vtkXYPlotActorGetBorderMaxValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetBorderMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorderMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorderMaxValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorderMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetBorder vtkXYPlotActorGetBorderFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorder for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotPoints__2 vtkXYPlotActorGetPlotPoints__2Function
//input a0 
//output y
ArrayVector vtkXYPlotActorGetPlotPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotPoints__2 for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlotPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotPoints__2 vtkXYPlotActorSetPlotPoints__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetPlotPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotPoints__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlotPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotPointsOn vtkXYPlotActorPlotPointsOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotPointsOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotPointsOff vtkXYPlotActorPlotPointsOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotPointsOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotLines__2 vtkXYPlotActorGetPlotLines__2Function
//input a0 
//output y
ArrayVector vtkXYPlotActorGetPlotLines__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotLines__2 for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlotLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotLines__2 vtkXYPlotActorSetPlotLines__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetPlotLines__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotLines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotLines__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlotLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotLinesOn vtkXYPlotActorPlotLinesOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotLinesOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotLinesOff vtkXYPlotActorPlotLinesOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorPlotLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PlotLinesOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->PlotLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetGlyphSize vtkXYPlotActorSetGlyphSizeFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetGlyphSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlyphSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlyphSize for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlyphSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetGlyphSizeMinValue vtkXYPlotActorGetGlyphSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetGlyphSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlyphSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphSizeMinValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlyphSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetGlyphSizeMaxValue vtkXYPlotActorGetGlyphSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetGlyphSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlyphSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphSizeMaxValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlyphSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetGlyphSize vtkXYPlotActorGetGlyphSizeFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetGlyphSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlyphSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlyphSize for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlyphSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ViewportToPlotCoordinate__2 vtkXYPlotActorViewportToPlotCoordinate__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorViewportToPlotCoordinate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ViewportToPlotCoordinate (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function ViewportToPlotCoordinate__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->ViewportToPlotCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotCoordinate__1 vtkXYPlotActorSetPlotCoordinate__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetPlotCoordinate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotCoordinate (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotCoordinate__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPlotCoordinate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotCoordinate__2 vtkXYPlotActorSetPlotCoordinate__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetPlotCoordinate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotCoordinate (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotCoordinate__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPlotCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotCoordinate vtkXYPlotActorGetPlotCoordinateFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetPlotCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPlotCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotCoordinate for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPlotCoordinate();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotToViewportCoordinate__2 vtkXYPlotActorPlotToViewportCoordinate__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorPlotToViewportCoordinate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PlotToViewportCoordinate (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function PlotToViewportCoordinate__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->PlotToViewportCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetViewportCoordinate__1 vtkXYPlotActorSetViewportCoordinate__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXYPlotActorSetViewportCoordinate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewportCoordinate (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetViewportCoordinate__1 for class vtkXYPlotActor requires 3 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetViewportCoordinate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetViewportCoordinate__2 vtkXYPlotActorSetViewportCoordinate__2Function
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetViewportCoordinate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewportCoordinate (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewportCoordinate__2 for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetViewportCoordinate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetViewportCoordinate vtkXYPlotActorGetViewportCoordinateFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetViewportCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetViewportCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewportCoordinate for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetViewportCoordinate();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:IsInPlot vtkXYPlotActorIsInPlotFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkXYPlotActorIsInPlotFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsInPlot (vtkViewport *viewport, double u, double v); */
  if (arg.size() < 4) 
    throw Exception("Function IsInPlot for class vtkXYPlotActor requires 4 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsInPlot(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetChartBox vtkXYPlotActorSetChartBoxFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetChartBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetChartBox (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetChartBox for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetChartBox(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetChartBox vtkXYPlotActorGetChartBoxFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetChartBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetChartBox (); */
  if (arg.size() < 1) 
    throw Exception("Function GetChartBox for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetChartBox();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ChartBoxOn vtkXYPlotActorChartBoxOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorChartBoxOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ChartBoxOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ChartBoxOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ChartBoxOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ChartBoxOff vtkXYPlotActorChartBoxOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorChartBoxOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ChartBoxOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ChartBoxOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ChartBoxOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetChartBorder vtkXYPlotActorSetChartBorderFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetChartBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetChartBorder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetChartBorder for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetChartBorder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetChartBorder vtkXYPlotActorGetChartBorderFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetChartBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetChartBorder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetChartBorder for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetChartBorder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ChartBorderOn vtkXYPlotActorChartBorderOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorChartBorderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ChartBorderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ChartBorderOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ChartBorderOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ChartBorderOff vtkXYPlotActorChartBorderOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorChartBorderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ChartBorderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ChartBorderOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ChartBorderOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetChartBoxProperty vtkXYPlotActorGetChartBoxPropertyFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetChartBoxPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty2D *GetChartBoxProperty ();return this ChartBoxActor GetProperty  */
  if (arg.size() < 1) 
    throw Exception("Function GetChartBoxProperty for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtkProperty2D  *temp20;
  temp20 = (vtk_pointer)->GetChartBoxProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetShowReferenceXLine vtkXYPlotActorSetShowReferenceXLineFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetShowReferenceXLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowReferenceXLine (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowReferenceXLine for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowReferenceXLine(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetShowReferenceXLine vtkXYPlotActorGetShowReferenceXLineFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetShowReferenceXLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowReferenceXLine (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowReferenceXLine for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowReferenceXLine();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ShowReferenceXLineOn vtkXYPlotActorShowReferenceXLineOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorShowReferenceXLineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowReferenceXLineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowReferenceXLineOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ShowReferenceXLineOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ShowReferenceXLineOff vtkXYPlotActorShowReferenceXLineOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorShowReferenceXLineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowReferenceXLineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowReferenceXLineOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ShowReferenceXLineOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetReferenceXValue vtkXYPlotActorSetReferenceXValueFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetReferenceXValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReferenceXValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReferenceXValue for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetReferenceXValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetReferenceXValue vtkXYPlotActorGetReferenceXValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetReferenceXValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReferenceXValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReferenceXValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReferenceXValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetShowReferenceYLine vtkXYPlotActorSetShowReferenceYLineFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetShowReferenceYLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowReferenceYLine (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowReferenceYLine for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowReferenceYLine(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetShowReferenceYLine vtkXYPlotActorGetShowReferenceYLineFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetShowReferenceYLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowReferenceYLine (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowReferenceYLine for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowReferenceYLine();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ShowReferenceYLineOn vtkXYPlotActorShowReferenceYLineOnFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorShowReferenceYLineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowReferenceYLineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowReferenceYLineOn for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ShowReferenceYLineOn();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:ShowReferenceYLineOff vtkXYPlotActorShowReferenceYLineOffFunction
//input a0 
//output none
ArrayVector vtkXYPlotActorShowReferenceYLineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowReferenceYLineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowReferenceYLineOff for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->ShowReferenceYLineOff();
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:SetReferenceYValue vtkXYPlotActorSetReferenceYValueFunction
//input a0 a1 
//output none
ArrayVector vtkXYPlotActorSetReferenceYValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReferenceYValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReferenceYValue for class vtkXYPlotActor requires 2 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetReferenceYValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetReferenceYValue vtkXYPlotActorGetReferenceYValueFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetReferenceYValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReferenceYValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReferenceYValue for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReferenceYValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:GetMTime vtkXYPlotActorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkXYPlotActorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkXYPlotActor requires 1 argument(s)");
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYPlotActor:AddInput vtkXYPlotActorAddInputFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[3]))
    return vtkXYPlotActorAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkXYPlotActorAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorAddInput");
}

//@@Signature
//sfunction @vtkXYPlotActor:RemoveInput vtkXYPlotActorRemoveInputFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorRemoveInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[3]))
    return vtkXYPlotActorRemoveInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkXYPlotActorRemoveInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorRemoveInput");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotColor vtkXYPlotActorSetPlotColorFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetPlotColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkXYPlotActorSetPlotColor__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkXYPlotActorSetPlotColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetPlotColor");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotLines vtkXYPlotActorSetPlotLinesFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetPlotLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetPlotLines__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXYPlotActorSetPlotLines__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetPlotLines");
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotLines vtkXYPlotActorGetPlotLinesFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorGetPlotLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXYPlotActorGetPlotLines__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkXYPlotActorGetPlotLines__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorGetPlotLines");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotPoints vtkXYPlotActorSetPlotPointsFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetPlotPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetPlotPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXYPlotActorSetPlotPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetPlotPoints");
}

//@@Signature
//sfunction @vtkXYPlotActor:GetPlotPoints vtkXYPlotActorGetPlotPointsFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorGetPlotPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXYPlotActorGetPlotPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkXYPlotActorGetPlotPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorGetPlotPoints");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetXRange vtkXYPlotActorSetXRangeFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetXRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetXRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetXRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetXRange");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetYRange vtkXYPlotActorSetYRangeFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetYRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetYRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetYRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetYRange");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetTitlePosition vtkXYPlotActorSetTitlePositionFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetTitlePositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetTitlePosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetTitlePosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetTitlePosition");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegendPosition vtkXYPlotActorSetLegendPositionFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetLegendPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetLegendPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetLegendPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetLegendPosition");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetLegendPosition2 vtkXYPlotActorSetLegendPosition2Function
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetLegendPosition2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetLegendPosition2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetLegendPosition2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetLegendPosition2");
}

//@@Signature
//sfunction @vtkXYPlotActor:ViewportToPlotCoordinate vtkXYPlotActorViewportToPlotCoordinateFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorViewportToPlotCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkViewport"))
    return vtkXYPlotActorViewportToPlotCoordinate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorViewportToPlotCoordinate");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetPlotCoordinate vtkXYPlotActorSetPlotCoordinateFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetPlotCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetPlotCoordinate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetPlotCoordinate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetPlotCoordinate");
}

//@@Signature
//sfunction @vtkXYPlotActor:PlotToViewportCoordinate vtkXYPlotActorPlotToViewportCoordinateFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorPlotToViewportCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkViewport"))
    return vtkXYPlotActorPlotToViewportCoordinate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorPlotToViewportCoordinate");
}

//@@Signature
//sfunction @vtkXYPlotActor:SetViewportCoordinate vtkXYPlotActorSetViewportCoordinateFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorSetViewportCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXYPlotActorSetViewportCoordinate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXYPlotActorSetViewportCoordinate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXYPlotActorSetViewportCoordinate");
}

//@@Signature
//sfunction @vtkXYPlotActor:display vtkXYPlotActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXYPlotActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXYPlotActor* vtk_pointer = GetVTKPointer<vtkXYPlotActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXYPlotActor:delete vtkXYPlotActorDeleteFunction
//input varargin
//output none
ArrayVector vtkXYPlotActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXYPlotActor
//@@Section VTKHybrid
//@@Usage
// vtkXYPlotActor creates an x-y plot of data from one or more input data
// sets or field data. The class plots dataset scalar values (y-axis) against
// the points (x-axis). The x-axis values are generated by taking the point
// ids, computing a cumulative arc length, or a normalized arc length. More
// than one input data set can be specified to generate multiple plots.
// Alternatively, if field data is supplied as input, the class plots one
// component against another. (The user must specify which component to use
// as the x-axis and which for the y-axis.)
//
// To use this class to plot dataset(s), you must specify one or more
// input datasets containing scalar and point data.  You'll probably also
// want to invoke a method to control how the point coordinates are converted
// into x values (by default point ids are used).
//
// To use this class to plot field data, you must specify one or more input
// data objects with its associated field data. You'll also want to specify
// which component to use as the x-axis and which to use as the y-axis.
// Note that when plotting field data, the x and y values are used directly
// (i.e., there are no options to normalize the components).
//
// Once you've set up the plot, you'll want to position it.  The
// PositionCoordinate defines the lower-left location of the x-y plot
// (specified in normalized viewport coordinates) and the Position2Coordinate
// define the upper-right corner. (Note: the Position2Coordinate is relative
// to PositionCoordinate, so you can move the vtkXYPlotActor around the
// viewport by setting just the PositionCoordinate.) The combination of the
// two position coordinates specifies a rectangle in which the plot will lie.
//
// Optional features include the ability to specify axes labels, label
// format and plot title. You can also
// manually specify the x and y plot ranges (by default they are computed
// automatically). The Border instance variable is used to create space 
// between the boundary of the plot window (specified by PositionCoordinate
// and Position2Coordinate) and the plot itself.
//
// The font property of the plot title can be modified through the 
// TitleTextProperty attribute.
// The font property of the axes titles and labels can be modified through the
// AxisTitleTextProperty and AxisLabelTextProperty attributes. You may also
// use the GetXAxisActor2D or GetYAxisActor2D methods 
// to access each individual axis actor to modify their font properties.
// In the same way, the GetLegendBoxActor method can be used to access
// the legend box actor to modify its font properties.
//
// There are several advanced features as well. You can assign per curve 
// properties (such as color and a plot symbol). (Note that each input 
// dataset and/or data object creates a single curve.) Another option is to
// add a plot legend that graphically indicates the correspondance between
// the curve, curve symbols, and the data source. You can also exchange the
// x and y axes if you prefer you plot orientation that way.
//
//To create an instance of class vtkXYPlotActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkXYPlotActor
//@]
//@@Methods
//The class vtkXYPlotActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXYPlotActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXYPlotActor = obj.NewInstance ()|
// \item @|vtkXYPlotActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddInput (vtkDataSet in, string arrayName, int component)| -  Add a dataset to the list of data to append. The array name specifies
// which point array to plot. The array must be a vtkDataArray subclass, i.e. 
// a numeric array. If the array name is NULL, then the default
// scalars are used.  The array can have multiple components, but only the
// first component is ploted.
//// \item @|obj.AddInput (vtkDataSet in)| -  Remove a dataset from the list of data to append.
//// \item @|obj.RemoveInput (vtkDataSet in, string arrayName, int component)| -  Remove a dataset from the list of data to append.
//// \item @|obj.RemoveInput (vtkDataSet in)| -  This removes all of the data set inputs, 
// but does not change the data object inputs.
//// \item @|obj.RemoveAllInputs ()| -  This removes all of the data set inputs, 
// but does not change the data object inputs.
//// \item @|vtkDataSetCollection = obj.GetInputList ()| -  If plotting points by value, which component to use to determine the
// value. This sets a value per each input dataset (i.e., the ith dataset).
//// \item @|obj.SetPointComponent (int i, int comp)| -  If plotting points by value, which component to use to determine the
// value. This sets a value per each input dataset (i.e., the ith dataset).
//// \item @|int = obj.GetPointComponent (int i)| -  If plotting points by value, which component to use to determine the
// value. This sets a value per each input dataset (i.e., the ith dataset).
//// \item @|obj.SetXValues (int )| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|int = obj.GetXValuesMinValue ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|int = obj.GetXValuesMaxValue ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|int = obj.GetXValues ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|obj.SetXValuesToIndex ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|obj.SetXValuesToArcLength ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|obj.SetXValuesToNormalizedArcLength ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|obj.SetXValuesToValue ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|string = obj.GetXValuesAsString ()| -  Specify how the independent (x) variable is computed from the points.
// The independent variable can be the scalar/point index (i.e., point id),
// the accumulated arc length along the points, the normalized arc length,
// or by component value. If plotting datasets (e.g., points), the value
// that is used is specified by the PointComponent ivar.  (Note: these
// methods also control how field data is plotted. Field data is usually
// plotted by value or index, if plotting length 1-dimensional length
// measures are used.)
//// \item @|obj.AddDataObjectInput (vtkDataObject in)| -  Add a dataset to the list of data to append.
//// \item @|obj.RemoveDataObjectInput (vtkDataObject in)| -  Remove a dataset from the list of data to append.
//// \item @|vtkDataObjectCollection = obj.GetDataObjectInputList ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|obj.SetDataObjectPlotMode (int )| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|int = obj.GetDataObjectPlotModeMinValue ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|int = obj.GetDataObjectPlotModeMaxValue ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|int = obj.GetDataObjectPlotMode ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|obj.SetDataObjectPlotModeToRows ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|obj.SetDataObjectPlotModeToColumns ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|string = obj.GetDataObjectPlotModeAsString ()| -  Indicate whether to plot rows or columns. If plotting rows, then
// the dependent variables is taken from a specified row,
// versus rows (y). 
//// \item @|obj.SetDataObjectXComponent (int i, int comp)| -  Specify which component of the input data object to use as the
// independent variable for the ith input data object. (This ivar is
// ignored if plotting the index.) Note that the value is interpreted
// differently depending on DataObjectPlotMode. If the mode is Rows, then
// the value of DataObjectXComponent is the row number; otherwise it's the
// column number.
//// \item @|int = obj.GetDataObjectXComponent (int i)| -  Specify which component of the input data object to use as the
// independent variable for the ith input data object. (This ivar is
// ignored if plotting the index.) Note that the value is interpreted
// differently depending on DataObjectPlotMode. If the mode is Rows, then
// the value of DataObjectXComponent is the row number; otherwise it's the
// column number.
//// \item @|obj.SetDataObjectYComponent (int i, int comp)| -  Specify which component of the input data object to use as the
// dependent variable for the ith input data object. (This ivar is
// ignored if plotting the index.) Note that the value is interpreted
// differently depending on DataObjectPlotMode. If the mode is Rows, then
// the value of DataObjectYComponent is the row number; otherwise it's the
// column number.
//// \item @|int = obj.GetDataObjectYComponent (int i)| -  Specify which component of the input data object to use as the
// dependent variable for the ith input data object. (This ivar is
// ignored if plotting the index.) Note that the value is interpreted
// differently depending on DataObjectPlotMode. If the mode is Rows, then
// the value of DataObjectYComponent is the row number; otherwise it's the
// column number.
//// \item @|obj.SetPlotColor (int i, double r, double g, double b)|
// \item @|obj.SetPlotColor (int i, double color[3])|
// \item @|double = obj.GetPlotColor (int i)|
// \item @|obj.SetPlotSymbol (int i, vtkPolyData input)|
// \item @|vtkPolyData = obj.GetPlotSymbol (int i)|
// \item @|obj.SetPlotLabel (int i, string label)|
// \item @|string = obj.GetPlotLabel (int i)|
// \item @|int = obj.GetPlotCurvePoints ()|
// \item @|obj.SetPlotCurvePoints (int )|
// \item @|obj.PlotCurvePointsOn ()|
// \item @|obj.PlotCurvePointsOff ()|
// \item @|int = obj.GetPlotCurveLines ()|
// \item @|obj.SetPlotCurveLines (int )|
// \item @|obj.PlotCurveLinesOn ()|
// \item @|obj.PlotCurveLinesOff ()|
// \item @|obj.SetPlotLines (int i, int )|
// \item @|int = obj.GetPlotLines (int i)|
// \item @|obj.SetPlotPoints (int i, int )|
// \item @|int = obj.GetPlotPoints (int i)|
// \item @|obj.SetExchangeAxes (int )| -  Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and
// vice-versa). Exchanging axes affects the labeling as well.
//// \item @|int = obj.GetExchangeAxes ()| -  Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and
// vice-versa). Exchanging axes affects the labeling as well.
//// \item @|obj.ExchangeAxesOn ()| -  Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and
// vice-versa). Exchanging axes affects the labeling as well.
//// \item @|obj.ExchangeAxesOff ()| -  Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and
// vice-versa). Exchanging axes affects the labeling as well.
//// \item @|obj.SetReverseXAxis (int )| -  Normally the x-axis is plotted from minimum to maximum. Setting this instance
// variable causes the x-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the x-axis even if ExchangeAxes is set.
//// \item @|int = obj.GetReverseXAxis ()| -  Normally the x-axis is plotted from minimum to maximum. Setting this instance
// variable causes the x-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the x-axis even if ExchangeAxes is set.
//// \item @|obj.ReverseXAxisOn ()| -  Normally the x-axis is plotted from minimum to maximum. Setting this instance
// variable causes the x-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the x-axis even if ExchangeAxes is set.
//// \item @|obj.ReverseXAxisOff ()| -  Normally the x-axis is plotted from minimum to maximum. Setting this instance
// variable causes the x-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the x-axis even if ExchangeAxes is set.
//// \item @|obj.SetReverseYAxis (int )| -  Normally the y-axis is plotted from minimum to maximum. Setting this instance
// variable causes the y-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the y-axis even if ExchangeAxes is set.
//// \item @|int = obj.GetReverseYAxis ()| -  Normally the y-axis is plotted from minimum to maximum. Setting this instance
// variable causes the y-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the y-axis even if ExchangeAxes is set.
//// \item @|obj.ReverseYAxisOn ()| -  Normally the y-axis is plotted from minimum to maximum. Setting this instance
// variable causes the y-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the y-axis even if ExchangeAxes is set.
//// \item @|obj.ReverseYAxisOff ()| -  Normally the y-axis is plotted from minimum to maximum. Setting this instance
// variable causes the y-axis to be plotted from maximum to minimum. Note that
// boolean always applies to the y-axis even if ExchangeAxes is set.
//// \item @|vtkLegendBoxActor = obj.GetLegendActor ()| -  Retrieve handles to the legend box and glyph source. This is useful
// if you would like to change the default behavior of the legend box
// or glyph source. For example, the default glyph can be changed from
// a line to a vertex plus line, etc.)
//// \item @|vtkGlyphSource2D = obj.GetGlyphSource ()| -  Retrieve handles to the legend box and glyph source. This is useful
// if you would like to change the default behavior of the legend box
// or glyph source. For example, the default glyph can be changed from
// a line to a vertex plus line, etc.)
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the x-y plot, and the title along the 
// x and y axes.
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the x-y plot, and the title along the 
// x and y axes.
//// \item @|obj.SetXTitle (string )| -  Set/Get the title of the x-y plot, and the title along the 
// x and y axes.
//// \item @|string = obj.GetXTitle ()| -  Set/Get the title of the x-y plot, and the title along the 
// x and y axes.
//// \item @|obj.SetYTitle (string )| -  Set/Get the title of the x-y plot, and the title along the 
// x and y axes.
//// \item @|string = obj.GetYTitle ()| -  Set/Get the title of the x-y plot, and the title along the 
// x and y axes.
//// \item @|vtkAxisActor2D = obj.GetXAxisActor2D ()| -  Retrieve handles to the X and Y axis (so that you can set their text
// properties for example)
//// \item @|vtkAxisActor2D = obj.GetYAxisActor2D ()| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|obj.SetXRange (double , double )| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|obj.SetXRange (double  a[2])| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|double = obj. GetXRange ()| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|obj.SetYRange (double , double )| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|obj.SetYRange (double  a[2])| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|double = obj. GetYRange ()| -  Set the plot range (range of independent and dependent variables)
// to plot. Data outside of the range will be clipped. If the plot
// range of either the x or y variables is set to (v1,v2), where
// v1 == v2, then the range will be computed automatically. Note that
// the x-range values should be consistent with the way the independent
// variable is created (via INDEX, DISTANCE, or ARC_LENGTH).
//// \item @|obj.SetPlotRange (double xmin, double ymin, double xmax, double ymax)| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|obj.SetNumberOfXLabels (int )| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|int = obj.GetNumberOfXLabelsMinValue ()| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|int = obj.GetNumberOfXLabelsMaxValue ()| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|int = obj.GetNumberOfXLabels ()| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|obj.SetNumberOfYLabels (int )| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|int = obj.GetNumberOfYLabelsMinValue ()| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|int = obj.GetNumberOfYLabelsMaxValue ()| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|int = obj.GetNumberOfYLabels ()| -  Set/Get the number of annotation labels to show along the x and y axes.
// This values is a suggestion: the number of labels may vary depending
// on the particulars of the data. The convenience method 
// SetNumberOfLables() sets the number of x and y labels to the same value.
//// \item @|obj.SetNumberOfLabels (int num)| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|obj.SetAdjustXLabels (int adjust)| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|int = obj.GetAdjustXLabels ()| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|obj.SetAdjustYLabels (int adjust)| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|int = obj.GetAdjustYLabels ()| -  Set/Get the flag that controls whether the labels and ticks are
// adjusted for "nice" numerical values to make it easier to read 
// the labels. The adjustment is based in the Range instance variable.
// Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted
// range and number of labels.
//// \item @|obj.SetXTitlePosition (double position)| -  Set/Get the position of the title of X or Y axis.
//// \item @|double = obj.GetXTitlePosition ()| -  Set/Get the position of the title of X or Y axis.
//// \item @|obj.SetYTitlePosition (double position)| -  Set/Get the position of the title of X or Y axis.
//// \item @|double = obj.GetYTitlePosition ()| -  Set/Get the position of the title of X or Y axis.
//// \item @|obj.SetNumberOfXMinorTicks (int num)| -  Set/Get the number of minor ticks in X or Y.
//// \item @|int = obj.GetNumberOfXMinorTicks ()| -  Set/Get the number of minor ticks in X or Y.
//// \item @|obj.SetNumberOfYMinorTicks (int num)| -  Set/Get the number of minor ticks in X or Y.
//// \item @|int = obj.GetNumberOfYMinorTicks ()| -  Set/Get the number of minor ticks in X or Y.
//// \item @|obj.SetLegend (int )| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|int = obj.GetLegend ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendOn ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendOff ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.SetTitlePosition (double , double )| -  Set/Get the position of the title. This has no effect if 
// AdjustTitlePosition is true.
//// \item @|obj.SetTitlePosition (double  a[2])| -  Set/Get the position of the title. This has no effect if 
// AdjustTitlePosition is true.
//// \item @|double = obj. GetTitlePosition ()| -  Set/Get the position of the title. This has no effect if 
// AdjustTitlePosition is true.
//// \item @|obj.SetAdjustTitlePosition (int )| -  If true, the xyplot actor will adjust the position of the title
// automatically to be upper-middle. Default is true.
//// \item @|int = obj.GetAdjustTitlePosition ()| -  If true, the xyplot actor will adjust the position of the title
// automatically to be upper-middle. Default is true.
//// \item @|obj.AdjustTitlePositionOn ()| -  If true, the xyplot actor will adjust the position of the title
// automatically to be upper-middle. Default is true.
//// \item @|obj.AdjustTitlePositionOff ()| -  If true, the xyplot actor will adjust the position of the title
// automatically to be upper-middle. Default is true.
//// \item @|obj.SetAdjustTitlePositionMode (int )| -  If AdjustTitlePosition is truem, the xyplot actor will
// adjust the position of the title automatically depending on the
// given mode, the mode is a combination of the Alignment flags.
// by default: vtkXYPlotActor::AlignHCenter | vtkXYPlotActor::Top
// | vtkXYPlotActor::AlignAxisVCenter 
//// \item @|int = obj.GetAdjustTitlePositionMode ()| -  If AdjustTitlePosition is truem, the xyplot actor will
// adjust the position of the title automatically depending on the
// given mode, the mode is a combination of the Alignment flags.
// by default: vtkXYPlotActor::AlignHCenter | vtkXYPlotActor::Top
// | vtkXYPlotActor::AlignAxisVCenter 
//// \item @|obj.SetLegendPosition (double , double )| -  Use these methods to control the position of the legend. The variables
// LegendPosition and LegendPosition2 define the lower-left and upper-right
// position of the legend. The coordinates are expressed as normalized
// values with respect to the rectangle defined by PositionCoordinate and
// Position2Coordinate. Note that LegendPosition2 is relative to
// LegendPosition.
//// \item @|obj.SetLegendPosition (double  a[2])| -  Use these methods to control the position of the legend. The variables
// LegendPosition and LegendPosition2 define the lower-left and upper-right
// position of the legend. The coordinates are expressed as normalized
// values with respect to the rectangle defined by PositionCoordinate and
// Position2Coordinate. Note that LegendPosition2 is relative to
// LegendPosition.
//// \item @|double = obj. GetLegendPosition ()| -  Use these methods to control the position of the legend. The variables
// LegendPosition and LegendPosition2 define the lower-left and upper-right
// position of the legend. The coordinates are expressed as normalized
// values with respect to the rectangle defined by PositionCoordinate and
// Position2Coordinate. Note that LegendPosition2 is relative to
// LegendPosition.
//// \item @|obj.SetLegendPosition2 (double , double )| -  Use these methods to control the position of the legend. The variables
// LegendPosition and LegendPosition2 define the lower-left and upper-right
// position of the legend. The coordinates are expressed as normalized
// values with respect to the rectangle defined by PositionCoordinate and
// Position2Coordinate. Note that LegendPosition2 is relative to
// LegendPosition.
//// \item @|obj.SetLegendPosition2 (double  a[2])| -  Use these methods to control the position of the legend. The variables
// LegendPosition and LegendPosition2 define the lower-left and upper-right
// position of the legend. The coordinates are expressed as normalized
// values with respect to the rectangle defined by PositionCoordinate and
// Position2Coordinate. Note that LegendPosition2 is relative to
// LegendPosition.
//// \item @|double = obj. GetLegendPosition2 ()| -  Use these methods to control the position of the legend. The variables
// LegendPosition and LegendPosition2 define the lower-left and upper-right
// position of the legend. The coordinates are expressed as normalized
// values with respect to the rectangle defined by PositionCoordinate and
// Position2Coordinate. Note that LegendPosition2 is relative to
// LegendPosition.
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property.
//// \item @|obj.SetAxisTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property of all axes. Note that each axis can
// be controlled individually through the GetX/YAxisActor2D() methods.
//// \item @|vtkTextProperty = obj.GetAxisTitleTextProperty ()| -  Set/Get the title text property of all axes. Note that each axis can
// be controlled individually through the GetX/YAxisActor2D() methods.
//// \item @|obj.SetAxisLabelTextProperty (vtkTextProperty p)| -  Set/Get the labels text property of all axes. Note that each axis can
// be controlled individually through the GetX/YAxisActor2D() methods.
//// \item @|vtkTextProperty = obj.GetAxisLabelTextProperty ()| -  Set/Get the labels text property of all axes. Note that each axis can
// be controlled individually through the GetX/YAxisActor2D() methods.
//// \item @|obj.SetLogx (int )| -  Enable/Disable plotting of Log of x-values.
//// \item @|int = obj.GetLogx ()| -  Enable/Disable plotting of Log of x-values.
//// \item @|obj.LogxOn ()| -  Enable/Disable plotting of Log of x-values.
//// \item @|obj.LogxOff ()| -  Enable/Disable plotting of Log of x-values.
//// \item @|obj.SetLabelFormat (string _arg)| -  Set/Get the format with which to print the labels . This sets both X
// and Y label formats. GetLabelFormat() returns X label format.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the X label.
//// \item @|obj.SetXLabelFormat (string _arg)| -  Set/Get the format with which to print the X label.
//// \item @|string = obj.GetXLabelFormat ()| -  Set/Get the format with which to print the X label.
//// \item @|obj.SetYLabelFormat (string _arg)| -  Set/Get the format with which to print the Y label.
//// \item @|string = obj.GetYLabelFormat ()| -  Set/Get the format with which to print the Y label.
//// \item @|obj.SetBorder (int )| -  Set/Get the spacing between the plot window and the plot. The value
// is specified in pixels.
//// \item @|int = obj.GetBorderMinValue ()| -  Set/Get the spacing between the plot window and the plot. The value
// is specified in pixels.
//// \item @|int = obj.GetBorderMaxValue ()| -  Set/Get the spacing between the plot window and the plot. The value
// is specified in pixels.
//// \item @|int = obj.GetBorder ()| -  Set/Get the spacing between the plot window and the plot. The value
// is specified in pixels.
//// \item @|int = obj.GetPlotPoints ()| -  Set/Get whether the points are rendered.  The point size can be set in
// the property object. This is a global flag which affects the plot only 
// if per curve symbols are not defined.
//// \item @|obj.SetPlotPoints (int )| -  Set/Get whether the points are rendered.  The point size can be set in
// the property object. This is a global flag which affects the plot only 
// if per curve symbols are not defined.
//// \item @|obj.PlotPointsOn ()| -  Set/Get whether the points are rendered.  The point size can be set in
// the property object. This is a global flag which affects the plot only 
// if per curve symbols are not defined.
//// \item @|obj.PlotPointsOff ()| -  Set/Get whether the points are rendered.  The point size can be set in
// the property object. This is a global flag which affects the plot only 
// if per curve symbols are not defined.
//// \item @|int = obj.GetPlotLines ()| -  Set/Get whether the lines are rendered.  The line width can be set in
// the property object. 
//// \item @|obj.SetPlotLines (int )| -  Set/Get whether the lines are rendered.  The line width can be set in
// the property object. 
//// \item @|obj.PlotLinesOn ()| -  Set/Get whether the lines are rendered.  The line width can be set in
// the property object. 
//// \item @|obj.PlotLinesOff ()| -  Set/Get whether the lines are rendered.  The line width can be set in
// the property object. 
//// \item @|obj.SetGlyphSize (double )| -  Set/Get the factor that controls how big glyphs are in the plot.
// The number is expressed as a fraction of the length of the diagonal
// of the plot bounding box.
//// \item @|double = obj.GetGlyphSizeMinValue ()| -  Set/Get the factor that controls how big glyphs are in the plot.
// The number is expressed as a fraction of the length of the diagonal
// of the plot bounding box.
//// \item @|double = obj.GetGlyphSizeMaxValue ()| -  Set/Get the factor that controls how big glyphs are in the plot.
// The number is expressed as a fraction of the length of the diagonal
// of the plot bounding box.
//// \item @|double = obj.GetGlyphSize ()| -  Set/Get the factor that controls how big glyphs are in the plot.
// The number is expressed as a fraction of the length of the diagonal
// of the plot bounding box.
//// \item @|obj.ViewportToPlotCoordinate (vtkViewport viewport)| -  An alternate form of ViewportToPlotCoordinate() above. This method
// inputs the viewport coordinate pair (defined by the ivar 
// ViewportCoordinate)and then stores them in the ivar PlotCoordinate. 
//// \item @|obj.SetPlotCoordinate (double , double )| -  An alternate form of ViewportToPlotCoordinate() above. This method
// inputs the viewport coordinate pair (defined by the ivar 
// ViewportCoordinate)and then stores them in the ivar PlotCoordinate. 
//// \item @|obj.SetPlotCoordinate (double  a[2])| -  An alternate form of ViewportToPlotCoordinate() above. This method
// inputs the viewport coordinate pair (defined by the ivar 
// ViewportCoordinate)and then stores them in the ivar PlotCoordinate. 
//// \item @|double = obj. GetPlotCoordinate ()| -  An alternate form of ViewportToPlotCoordinate() above. This method
// inputs the viewport coordinate pair (defined by the ivar 
// ViewportCoordinate)and then stores them in the ivar PlotCoordinate. 
//// \item @|obj.PlotToViewportCoordinate (vtkViewport viewport)| -  An alternate form of PlotToViewportCoordinate() above. This method
// inputs the plot coordinate pair (defined in the ivar PlotCoordinate)
// and then stores them in the ivar ViewportCoordinate. (This method 
// can be wrapped.)
//// \item @|obj.SetViewportCoordinate (double , double )| -  An alternate form of PlotToViewportCoordinate() above. This method
// inputs the plot coordinate pair (defined in the ivar PlotCoordinate)
// and then stores them in the ivar ViewportCoordinate. (This method 
// can be wrapped.)
//// \item @|obj.SetViewportCoordinate (double  a[2])| -  An alternate form of PlotToViewportCoordinate() above. This method
// inputs the plot coordinate pair (defined in the ivar PlotCoordinate)
// and then stores them in the ivar ViewportCoordinate. (This method 
// can be wrapped.)
//// \item @|double = obj. GetViewportCoordinate ()| -  An alternate form of PlotToViewportCoordinate() above. This method
// inputs the plot coordinate pair (defined in the ivar PlotCoordinate)
// and then stores them in the ivar ViewportCoordinate. (This method 
// can be wrapped.)
//// \item @|int = obj.IsInPlot (vtkViewport viewport, double u, double v)| -  Is the specified viewport position within the plot area (as opposed to the
// region used by the plot plus the labels)?
//// \item @|obj.SetChartBox (int )| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the chart box.
//// \item @|int = obj.GetChartBox ()| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the chart box.
//// \item @|obj.ChartBoxOn ()| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the chart box.
//// \item @|obj.ChartBoxOff ()| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the chart box.
//// \item @|obj.SetChartBorder (int )| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the legend box.
//// \item @|int = obj.GetChartBorder ()| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the legend box.
//// \item @|obj.ChartBorderOn ()| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the legend box.
//// \item @|obj.ChartBorderOff ()| -  Set/Get the flag that controls whether a box will be drawn/filled
// corresponding to the legend box.
//// \item @|vtkProperty2D = obj.GetChartBoxProperty ()| -  Get the box vtkProperty2D.
//// \item @|obj.SetShowReferenceXLine (int )| -  Set/Get if the X reference line is visible. hidden by default
//// \item @|int = obj.GetShowReferenceXLine ()| -  Set/Get if the X reference line is visible. hidden by default
//// \item @|obj.ShowReferenceXLineOn ()| -  Set/Get if the X reference line is visible. hidden by default
//// \item @|obj.ShowReferenceXLineOff ()| -  Set/Get if the X reference line is visible. hidden by default
//// \item @|obj.SetReferenceXValue (double )|
// \item @|double = obj.GetReferenceXValue ()|
// \item @|obj.SetShowReferenceYLine (int )| -  Set/Get if the Y reference line is visible. hidden by default
//// \item @|int = obj.GetShowReferenceYLine ()| -  Set/Get if the Y reference line is visible. hidden by default
//// \item @|obj.ShowReferenceYLineOn ()| -  Set/Get if the Y reference line is visible. hidden by default
//// \item @|obj.ShowReferenceYLineOff ()| -  Set/Get if the Y reference line is visible. hidden by default
//// \item @|obj.SetReferenceYValue (double )|
// \item @|double = obj.GetReferenceYValue ()|
// \item @|long = obj.GetMTime ()| -  Take into account the modified time of internal helper classes.
////\end{itemize}
//!
